(function(Turbolinks,materialComponentsWeb){'use strict';var _Mathabs=Math.abs,_Mathmin=Math.min,_Mathmax=Math.max,_Mathfloor=Math.floor;function _interopDefaultLegacy(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}function createRoot(fn,detachedOwner){detachedOwner&&(Owner=detachedOwner);const listener=Listener,owner=Owner,root=0===fn.length?UNOWNED:{owned:null,cleanups:null,context:null,owner};Owner=root,Listener=null;let result;try{result=fn(()=>cleanNode(root))}catch(err){const fns=lookup(Owner,ERROR);if(!fns)throw err;fns.forEach(f=>f(err))}finally{for(;Afters.length;)Afters.shift()();Listener=listener,Owner=owner}return result}function createSignal(value,areEqual){const s={value,observers:null,observerSlots:null,pending:NOTPENDING,comparator:areEqual?"function"==typeof areEqual?areEqual:equalFn:void 0};return[readSignal.bind(s),writeSignal.bind(s)]}function createEffect(fn,value){updateComputation(createComputation(fn,value))}function createMemo(fn,value,areEqual){const c=createComputation(fn,value);return c.pending=NOTPENDING,c.observers=null,c.observerSlots=null,c.comparator=areEqual?"function"==typeof areEqual?areEqual:equalFn:void 0,updateComputation(c),readSignal.bind(c)}function freeze(fn){let pending=Pending,q=Pending=[];const result=fn();return Pending=pending,runUpdates(()=>{for(let i=0;i<q.length;i+=1){const data=q[i];if(data.pending!==NOTPENDING){const pending=data.pending;data.pending=NOTPENDING,writeSignal.call(data,pending)}}}),result}function sample(fn){let result,listener=Listener;return Listener=null,result=fn(),Listener=listener,result}function afterEffects(fn){Afters.push(fn)}function onCleanup(fn){return null===Owner?console.warn("cleanups created outside a `createRoot` or `render` will never be run"):null===Owner.cleanups?Owner.cleanups=[fn]:Owner.cleanups.push(fn),fn}function isListening(){return null!==Listener}function readSignal(){if(this.state&&this.sources){const updates=Updates;Updates=null,this.state===STALE?updateComputation(this):lookDownstream(this),Updates=updates}if(Listener){const sSlot=this.observers?this.observers.length:0;Listener.sources?(Listener.sources.push(this),Listener.sourceSlots.push(sSlot)):(Listener.sources=[this],Listener.sourceSlots=[sSlot]),this.observers?(this.observers.push(Listener),this.observerSlots.push(Listener.sources.length-1)):(this.observers=[Listener],this.observerSlots=[Listener.sources.length-1])}return this.value}function writeSignal(value){return this.comparator&&this.comparator(this.value,value)?value:Pending?(this.pending===NOTPENDING&&Pending.push(this),this.pending=value,value):(this.value=value,this.observers&&(!Updates||this.observers.length)&&runUpdates(()=>{for(let i=0;i<this.observers.length;i+=1){const o=this.observers[i];if(o.observers&&o.state!==PENDING&&markUpstream(o),o.state=STALE,1e6<Updates.length)throw new Error("Potential Infinite Loop Detected.");Updates.push(o)}}),value)}function updateComputation(node){if(node.fn){cleanNode(node);const owner=Owner,listener=Listener,time=ExecCount;Listener=Owner=node;const nextValue=node.fn(node.value);(!node.updatedAt||node.updatedAt<=time)&&(node.observers&&node.observers.length?writeSignal.call(node,nextValue):node.value=nextValue,node.updatedAt=time),Listener=listener,Owner=owner}}function createComputation(fn,init){const c={fn,state:0,updatedAt:null,owned:null,sources:null,sourceSlots:null,cleanups:null,value:init,owner:Owner,context:null};return null===Owner?console.warn("computations created outside a `createRoot` or `render` will never be disposed"):Owner!==UNOWNED&&(Owner.owned?Owner.owned.push(c):Owner.owned=[c]),c}function runTop(node){let top=node.state===STALE&&node;for(;node.fn&&(node=node.owner);)node.state===STALE&&(top=node);top&&updateComputation(top)}function runUpdates(fn){if(Updates)return fn();Updates=[],ExecCount++;try{fn();for(let i=0;i<Updates.length;i+=1)try{runTop(Updates[i])}catch(err){const fns=lookup(Owner,ERROR);if(!fns)throw err;fns.forEach(f=>f(err))}}finally{for(Updates=null;Afters.length;)Afters.shift()()}}function lookDownstream(node){node.state=0;for(let i=0;i<node.sources.length;i+=1){const source=node.sources[i];source.sources&&(source.state===STALE?runTop(source):source.state===PENDING&&lookDownstream(source))}}function markUpstream(node){for(let i=0;i<node.observers.length;i+=1){const o=node.observers[i];o.state||(o.state=PENDING,o.observers&&markUpstream(o))}}function cleanNode(node){let i;if(node.sources){for(;node.sources.length;){const source=node.sources.pop(),index=node.sourceSlots.pop(),obs=source.observers;if(obs&&obs.length){const n=obs.pop(),s=source.observerSlots.pop();index<obs.length&&(n.sourceSlots[s]=index,obs[index]=n,source.observerSlots[index]=s)}}node.state=0}if(node.owned){for(i=0;i<node.owned.length;i++)cleanNode(node.owned[i]);node.owned=null}if(node.cleanups){for(i=0;i<node.cleanups.length;i++)node.cleanups[i]();node.cleanups=null}}function lookup(owner,key){return owner&&(owner.context&&owner.context[key]||owner.owner&&lookup(owner.owner,key))}function wrap(value,traps){return value[$PROXY]||(value[$PROXY]=new Proxy(value,traps||proxyTraps))}function isWrappable(obj){return null!=obj&&"object"==typeof obj&&(obj.__proto__===Object.prototype||Array.isArray(obj))}function unwrap(item){let result,unwrapped,v;if(result=null!=item&&item[$RAW])return result;if(!isWrappable(item))return item;if(Array.isArray(item)){Object.isFrozen(item)&&(item=item.slice(0));for(let i=0,l=item.length;i<l;i++)v=item[i],(unwrapped=unwrap(v))!==v&&(item[i]=unwrapped)}else{Object.isFrozen(item)&&(item=Object.assign({},item));let keys=Object.keys(item);for(let i=0,l=keys.length;i<l;i++)v=item[keys[i]],(unwrapped=unwrap(v))!==v&&(item[keys[i]]=unwrapped)}return item}function getDataNodes(target){let nodes=target[$NODE];return nodes||(target[$NODE]=nodes={}),nodes}function setProperty(state,property,value,force){if(!force&&state[property]===value)return;const notify=Array.isArray(state)||!(property in state);value===void 0?delete state[property]:state[property]=value;let node,nodes=getDataNodes(state);(node=nodes[property])&&node[1](),notify&&(node=nodes._)&&node[1]()}function mergeState(state,value,force){const keys=Object.keys(value);for(let i=0;i<keys.length;i+=1){const key=keys[i];setProperty(state,key,value[key],force)}}function updatePath(current,path,traversed=[]){let part,next=current;if(1<path.length){part=path.shift();const partType=typeof part,isArray=Array.isArray(current);if(Array.isArray(part)){for(let i=0;i<part.length;i++)updatePath(current,[part[i]].concat(path),[part[i]].concat(traversed));return}if(isArray&&"function"===partType){for(let i=0;i<current.length;i++)part(current[i],i)&&updatePath(current,[i].concat(path),[i].concat(traversed));return}if(isArray&&"object"===partType){const{from=0,to=current.length-1,by=1}=part;for(let i=from;i<=to;i+=by)updatePath(current,[i].concat(path),[i].concat(traversed));return}if(1<path.length)return void updatePath(current[part],path,[part].concat(traversed));next=current[part],traversed=[part].concat(traversed)}let value=path[0];if("function"==typeof value){const wrapped=void 0===part||isWrappable(next)?new Proxy(next,setterTraps):next;if(value=value(wrapped,traversed),value===wrapped||void 0===value)return}value=unwrap(value),part===void 0||isWrappable(next)&&isWrappable(value)&&!Array.isArray(value)?mergeState(next,value):setProperty(current,part,value)}function createState(state){const unwrappedState=unwrap(state||{}),wrappedState=wrap(unwrappedState);return[wrappedState,function(...args){freeze(()=>updatePath(unwrappedState,args))}]}function dynamicProperty(props,key){const src=props[key];Object.defineProperty(props,key,{get(){return src()},enumerable:/* evtData */!0/* shouldBubble */})}function createComponent(Comp,props,dynamicKeys){if(dynamicKeys)for(let i=0;i<dynamicKeys.length;i++)dynamicProperty(props,dynamicKeys[i]);const c=sample(()=>Comp(props));return"function"==typeof c?createMemo(c):c}function memo(fn,equal){return createMemo(fn,void 0,equal)}function reconcileArrays(parentNode,a,b){let bLength=b.length,aEnd=a.length,bEnd=bLength,aStart=0,bStart=0,after=a[aEnd-1].nextSibling,map=null;for(;aStart<aEnd||bStart<bEnd;)if(aEnd===aStart)for(const node=bEnd<bLength?bStart?b[bStart-1].nextSibling:b[bEnd-bStart]:after;bStart<bEnd;)parentNode.insertBefore(b[bStart++],node);else if(bEnd===bStart)for(;aStart<aEnd;)map&&map.has(a[aStart])||parentNode.removeChild(a[aStart]),aStart++;else if(a[aStart]===b[bStart])aStart++,bStart++;else if(a[aEnd-1]===b[bEnd-1])aEnd--,bEnd--;else if(1==aEnd-aStart&&1==bEnd-bStart){map&&map.has(a[aStart])||a[aStart].parentNode!==parentNode?parentNode.insertBefore(b[bStart],bEnd<bLength?b[bEnd]:after):parentNode.replaceChild(b[bStart],a[aStart]);break}else if(a[aStart]===b[bEnd-1]&&b[bStart]===a[aEnd-1]){const node=a[--aEnd].nextSibling;parentNode.insertBefore(b[bStart++],a[aStart++].nextSibling),parentNode.insertBefore(b[--bEnd],node),a[aEnd]=b[bEnd]}else{if(!map){map=new Map;for(let i=bStart;i<bEnd;)map.set(b[i],i++)}if(map.has(a[aStart])){const index=map.get(a[aStart]);if(bStart<index&&index<bEnd){let i=aStart,sequence=1;for(;++i<aEnd&&i<bEnd&&map.has(a[i])&&map.get(a[i])===index+sequence;)sequence++;if(sequence>index-bStart)for(const node=a[aStart];bStart<index;)parentNode.insertBefore(b[bStart++],node);else parentNode.replaceChild(b[bStart++],a[aStart++])}else aStart++}else parentNode.removeChild(a[aStart++])}}function template(html,check,isSVG){const t=document.createElement("template");if(t.innerHTML=html,check&&t.innerHTML.split("<").length-1!==check)throw`Template html does not match input:\n${t.innerHTML}\n\n${html}`;let node=t.content.firstChild;return isSVG&&(node=node.firstChild),node}function delegateEvents(eventNames){for(let i=0,l=eventNames.length;i<l;i++){const name=eventNames[i];eventRegistry.has(name)||(eventRegistry.add(name),document.addEventListener(name,eventHandler))}}function setAttribute(node,name,value){!1===value||null==value?node.removeAttribute(name):node.setAttribute(name,value)}function setAttributeNS(node,namespace,name,value){!1===value||null==value?node.removeAttributeNS(namespace,name):node.setAttributeNS(namespace,name,value)}function classList(node,value,prev){const classKeys=Object.keys(value);for(let i=0,len=classKeys.length;i<len;i++){const key=classKeys[i],classValue=!!value[key],classNames=key.split(/\s+/);if(key&&(!prev||prev[key]!==classValue))for(let j=0,nameLen=classNames.length;j<nameLen;j++)node.classList.toggle(classNames[j],classValue)}return value}function style(node,value,prev){const nodeStyle=node.style;if("string"==typeof value)return nodeStyle.cssText=value;let v,s;if(null!=prev&&"string"!=typeof prev){for(s in value)v=value[s],v!==prev[s]&&nodeStyle.setProperty(s,v);for(s in prev)null==value[s]&&nodeStyle.removeProperty(s)}else for(s in value)nodeStyle.setProperty(s,value[s]);return value}function spread(node,accessor,isSVG,skipChildren){"function"==typeof accessor?createEffect(current=>spreadExpression(node,accessor(),current,isSVG,skipChildren)):spreadExpression(node,accessor,void 0,isSVG,skipChildren)}function insert(parent,accessor,marker,initial){return void 0===marker||initial||(initial=[]),"function"==typeof accessor?void createEffect(current=>insertExpression(parent,accessor(),current,marker),initial):insertExpression(parent,accessor,initial,marker)}function assign(node,props,isSVG,skipChildren,prevProps={}){let info;for(const prop in props){if("children"==prop){skipChildren||insertExpression(node,props.children);continue}const value=props[prop];if(value!==prevProps[prop]){if("style"===prop)style(node,value,prevProps[prop]);else if("classList"===prop)classList(node,value,prevProps[prop]);else if("ref"===prop)value(node);else if("on"===prop)for(const eventName in value)node.addEventListener(eventName,value[eventName]);else if("onCapture"===prop)for(const eventName in value)node.addEventListener(eventName,value[eventName],!0);else if("on"===prop.slice(0,2)){const lc=prop.toLowerCase();if(!NonComposedEvents.has(lc.slice(2))){const name=lc.slice(2);Array.isArray(value)?(node[`__${name}`]=value[0],node[`__${name}Data`]=value[1]):node[`__${name}`]=value,delegateEvents([name])}else node[lc]=value}else if(info=Attributes[prop])"attribute"===info.type?setAttribute(node,prop,value):node[info.alias]=value;else if(isSVG||-1<prop.indexOf("-")||-1<prop.indexOf(":")){const ns=-1<prop.indexOf(":")&&SVGNamepace[prop.split(":")[0]];ns?setAttributeNS(node,ns,prop,value):(info=SVGAttributes[prop])?info.alias?setAttribute(node,info.alias,value):setAttribute(node,prop,value):setAttribute(node,prop.replace(/([A-Z])/g,g=>`-${g[0].toLowerCase()}`),value)}else node[prop]=value;prevProps[prop]=value}}}function eventHandler(e){const key=`__${e.type}`;let node=e.composedPath&&e.composedPath()[0]||e.target;for(e.target!==node&&Object.defineProperty(e,"target",{configurable:!0,value:node}),Object.defineProperty(e,"currentTarget",{configurable:!0,get(){return node}});null!==node;){const handler=node[key];if(handler){const data=node[`${key}Data`];if(data?handler(data,e):handler(e),e.cancelBubble)return}node=node.host&&node.host instanceof Node?node.host:node.parentNode}}function spreadExpression(node,props,prevProps={},isSVG,skipChildren){return!skipChildren&&"children"in props&&createEffect(()=>prevProps.children=insertExpression(node,props.children,prevProps.children)),createEffect(()=>assign(node,props,isSVG,!0,prevProps)),prevProps}function insertExpression(parent,value,current,marker,unwrapArray){for(;"function"==typeof current;)current=current();if(value===current)return current;const t=typeof value,multi=void 0!==marker;if(parent=multi&&current[0]&&current[0].parentNode||parent,"string"==t||"number"===t){if("number"===t&&(value=value.toString()),multi){let node=current[0];node&&3===node.nodeType?node.data=value:node=document.createTextNode(value),current=cleanChildren(parent,current,marker,node)}else current=""!==current&&"string"==typeof current?parent.firstChild.data=value:parent.textContent=value;}else if(null==value||"boolean"===t){if(hydration.context&&hydration.context.registry)return current;current=cleanChildren(parent,current,marker)}else{if("function"===t)return createEffect(()=>current=insertExpression(parent,value(),current,marker)),()=>current;if(Array.isArray(value)){const array=[];if(normalizeIncomingArray(array,value,unwrapArray))return createEffect(()=>current=insertExpression(parent,array,current,marker,!0)),()=>current;if(hydration.context&&hydration.context.registry)return array;if(0!==array.length)Array.isArray(current)?0===current.length?appendNodes(parent,array,marker):reconcileArrays(parent,current,array):null==current||""===current?appendNodes(parent,array):reconcileArrays(parent,multi&&current||[parent.firstChild],array);else if(current=cleanChildren(parent,current,marker),multi)return current;current=array}else if(value instanceof Node){if(Array.isArray(current)){if(multi)return current=cleanChildren(parent,current,marker,value);cleanChildren(parent,current,null,value)}else null!=current&&""!==current&&parent.firstChild?parent.replaceChild(value,parent.firstChild):parent.appendChild(value);current=value}else console.warn(`Skipped inserting`,value)}return current}function normalizeIncomingArray(normalized,array,unwrap){let dynamic=!1;for(let i=0,len=array.length;i<len;i++){let t,item=array[i];if(item instanceof Node)normalized.push(item);else if(null==item||!0===item||!1===item);else if(Array.isArray(item))dynamic=normalizeIncomingArray(normalized,item)||dynamic;else if("string"==(t=typeof item))normalized.push(document.createTextNode(item));else if(!("function"===t))normalized.push(document.createTextNode(item.toString()));else if(unwrap){const idx=item();dynamic=normalizeIncomingArray(normalized,Array.isArray(idx)?idx:[idx])||dynamic}else normalized.push(item),dynamic=!0}return dynamic}function appendNodes(parent,array,marker){for(let i=0,len=array.length;i<len;i++)parent.insertBefore(array[i],marker)}function cleanChildren(parent,current,marker,replacement){if(marker===void 0)return parent.textContent="";const node=replacement||document.createTextNode("");if(current.length){let inserted=!1;for(let i=current.length-1;0<=i;i--){const el=current[i];if(node!==el){const isParent=el.parentNode===parent;inserted||i?isParent&&parent.removeChild(el):isParent?parent.replaceChild(node,el):parent.insertBefore(node,marker)}else inserted=!0}}else parent.insertBefore(node,marker);return[node]}function cloneProps(props){const propKeys=Object.keys(props);return propKeys.reduce((memo,k)=>{const prop=props[k];return memo[k]=Object.assign({},prop),!isObject(prop.value)||isFunction(prop.value)||Array.isArray(prop.value)||(memo[k].value=Object.assign({},prop.value)),Array.isArray(prop.value)&&(memo[k].value=prop.value.slice(0)),memo},{})}function normalizePropDefs(props){if(!props)return{};const propKeys=Object.keys(props);return propKeys.reduce((memo,k)=>{const v=props[k];return memo[k]=isObject(v)&&"value"in v?v:{value:v},memo[k].attribute||(memo[k].attribute=toAttribute(k)),memo},{})}function propValues(props){const propKeys=Object.keys(props);return propKeys.reduce((memo,k)=>(memo[k]=props[k].value,memo),{})}function initializeProps(element,propDefinition){const props=cloneProps(propDefinition),propKeys=Object.keys(propDefinition);return propKeys.forEach(key=>{const prop=props[key],attr=element.getAttribute(prop.attribute),value=element[key];attr&&(prop.value=parseAttributeValue(attr)),null!=value&&(prop.value=Array.isArray(value)?value.slice(0):value),reflect(element,prop.attribute,prop.value),Object.defineProperty(element,key,{get(){return prop.value},set(val){const oldValue=prop.value;prop.value=val,reflect(this,prop.attribute,prop.value);for(let i=0,l=this.__propertyChangedCallbacks.length;i<l;i++)this.__propertyChangedCallbacks[i](key,val,oldValue)},enumerable:!0,configurable:!0})}),props}function parseAttributeValue(value){if(!value)return;let parsed;try{parsed=JSON.parse(value)}catch(err){parsed=value}return"string"==typeof parsed?/^[0-9]*$/.test(parsed)?+parsed:parsed:parsed}function reflect(node,attribute,value){if(isObject(value))return;let reflect=value?"function"==typeof value.toString?value.toString():void 0:void 0;reflect&&"false"!==reflect?(node.__updating[attribute]=!0,"true"===reflect&&(reflect=""),node.setAttribute(attribute,reflect),Promise.resolve().then(()=>delete node.__updating[attribute])):node.removeAttribute(attribute)}function toAttribute(propName){return propName.replace(/\.?([A-Z]+)/g,(x,y)=>"-"+y.toLowerCase()).replace("_","-").replace(/^-/,"")}function isObject(obj){return null!=obj&&("object"==typeof obj||"function"==typeof obj)}function isFunction(val){return"[object Function]"===Object.prototype.toString.call(val)}function isConstructor(f){return"function"==typeof f&&0===f.toString().indexOf("class")}function noShadowDOM(){Object.defineProperty(currentElement,"renderRoot",{value:currentElement})}function createElementType(BaseElement,propDefinition){const propKeys=Object.keys(propDefinition);return class extends BaseElement{static get observedAttributes(){return propKeys.map(k=>propDefinition[k].attribute)}constructor(){super(),this.__initialized=!1,this.__released=!1,this.__releaseCallbacks=[],this.__propertyChangedCallbacks=[],this.__updating={},this.props={}}connectedCallback(){// check that infact it connected since polyfill sometimes double calls
if(this.isConnected&&!this.__initialized){this.__releaseCallbacks=[],this.__propertyChangedCallbacks=[],this.__updating={},this.props=initializeProps(this,propDefinition);const props=propValues(this.props),ComponentType=this.Component,outerElement=currentElement;try{currentElement=this,this.__initialized=!0,isConstructor(ComponentType)?new ComponentType(props,{element:this}):ComponentType(props,{element:this})}finally{currentElement=outerElement}}}async disconnectedCallback(){if(await Promise.resolve(),!this.isConnected){this.__propertyChangedCallbacks.length=0;for(let callback=null;callback=this.__releaseCallbacks.pop();)callback(this);delete this.__initialized,this.__released=!0}}attributeChangedCallback(name,oldVal,newVal){if(this.__initialized&&!this.__updating[name]&&(name=this.lookupProp(name),name in propDefinition)){if(null==newVal&&!this[name])return;this[name]=parseAttributeValue(newVal)}}lookupProp(attrName){return propDefinition?propKeys.find(k=>attrName===k||attrName===propDefinition[k].attribute):void 0}get renderRoot(){return this.shadowRoot||this.attachShadow({mode:"open"})}addReleaseCallback(fn){this.__releaseCallbacks.push(fn)}addPropertyChangedCallback(fn){this.__propertyChangedCallbacks.push(fn)}}}function register(tag,props={},options={}){const{BaseElement=HTMLElement,extension}=options;return ComponentType=>{if(!tag)throw new Error("tag is required to register a Component");let ElementType=customElements.get(tag);return ElementType?(ElementType.prototype.Component=ComponentType,ElementType):(ElementType=createElementType(BaseElement,normalizePropDefs(props)),ElementType.prototype.Component=ComponentType,ElementType.prototype.registeredTag=tag,customElements.define(tag,ElementType,extension),ElementType)}}function withSolid(ComponentType){return(rawProps,options)=>{const{element}=options;return createRoot(dispose=>{const[props,setProps]=createState(rawProps);element.addPropertyChangedCallback((key,val)=>setProps({[key]:val})),element.addReleaseCallback(()=>dispose());const comp=ComponentType(props,options);return insert(element.renderRoot,comp)},element.assignedSlot&&element.assignedSlot._context||element._context)}}function customElement(tag,props,ComponentType){return 2===arguments.length&&(ComponentType=props,props={}),register(tag,props)(withSolid(ComponentType))}/*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */ /* global Reflect, Promise */function __extends(d,b){function __(){this.constructor=d}extendStatics(d,b),d.prototype=null===b?Object.create(b):(__.prototype=b.prototype,new __)}function __read(o,n){var m="function"==typeof Symbol&&o[Symbol.iterator];if(!m)return o;var r,e,i=m.call(o),ar=[];try{for(;(void 0===n||0<n--)&&!(r=i.next()).done;)ar.push(r.value)}catch(error){e={error:error}}finally{try{r&&!r.done&&(m=i["return"])&&m.call(i)}finally{if(e)throw e.error}}return ar}function __spread(){for(var ar=[],i=0;i<arguments.length;i++)ar=ar.concat(__read(arguments[i]));return ar}/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */function isWindow(windowObj){return!!windowObj.document&&"function"==typeof windowObj.document.createElement}function getCorrectEventName(windowObj,eventType){if(isWindow(windowObj)&&eventType in jsEventTypeMap){var el=windowObj.document.createElement("div"),_a=jsEventTypeMap[eventType],standard=_a.standard,prefixed=_a.prefixed,cssProperty=_a.cssProperty,isStandard=(cssProperty in el.style);return isStandard?standard:prefixed}return eventType}/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */ /**
   * @license
   * Copyright 2019 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */ /**
   * Determine whether the current browser supports passive event listeners, and
   * if so, use them.
   */function applyPassive(globalObj){return void 0===globalObj&&(globalObj=window),!!supportsPassiveOption(globalObj)&&{passive:!0}}function supportsPassiveOption(globalObj){void 0===globalObj&&(globalObj=window);// See
// https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener
var passiveSupported=!1;try{var options={// This function will be called when the browser
// attempts to access the passive property.
get passive(){return passiveSupported=!0,!1}},handler=function(){};globalObj.document.addEventListener("test",handler,options),globalObj.document.removeEventListener("test",handler,options)}catch(err){passiveSupported=!1}return passiveSupported}/**
   * @license
   * Copyright 2018 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */function matches(element,selector){var nativeMatches=element.matches||element.webkitMatchesSelector||element.msMatchesSelector;return nativeMatches.call(element,selector)}/**
   * Used to compute the estimated scroll width of elements. When an element is
   * hidden due to display: none; being applied to a parent element, the width is
   * returned as 0. However, the element will have a true width once no longer
   * inside a display: none context. This method computes an estimated width when
   * the element is hidden or returns the true width when the element is visble.
   * @param {Element} element the element whose width to estimate
   */function estimateScrollWidth(element){// Check the offsetParent. If the element inherits display: none from any
// parent, the offsetParent property will be null (see
// https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/offsetParent).
// This check ensures we only clone the node when necessary.
var htmlEl=element;if(null!==htmlEl.offsetParent)return htmlEl.scrollWidth;var clone=htmlEl.cloneNode(!0);clone.style.setProperty("position","absolute"),clone.style.setProperty("transform","translate(-9999px, -9999px)"),document.documentElement.appendChild(clone);var scrollWidth=clone.scrollWidth;return document.documentElement.removeChild(clone),scrollWidth}/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */function supportsCssVariables(windowObj,forceRefresh){void 0===forceRefresh&&(forceRefresh=!1);var CSS=windowObj.CSS,supportsCssVars=supportsCssVariables_;if("boolean"==typeof supportsCssVariables_&&!forceRefresh)return supportsCssVariables_;var supportsFunctionPresent=CSS&&"function"==typeof CSS.supports;if(!supportsFunctionPresent)return!1;var explicitlySupportsCssVars=CSS.supports("--css-vars","yes"),weAreFeatureDetectingSafari10plus=CSS.supports("(--css-vars: yes)")&&CSS.supports("color","#00000000");// See: https://bugs.webkit.org/show_bug.cgi?id=154669
// See: README section on Safari
return supportsCssVars=explicitlySupportsCssVars||weAreFeatureDetectingSafari10plus,forceRefresh||(supportsCssVariables_=supportsCssVars),supportsCssVars}function getNormalizedEventCoords(evt,pageOffset,clientRect){if(!evt)return{x:0,y:0};var normalizedX,normalizedY,x=pageOffset.x,y=pageOffset.y,documentX=x+clientRect.left,documentY=y+clientRect.top;// Determine touch point relative to the ripple container.
if("touchstart"===evt.type){var touchEvent=evt;normalizedX=touchEvent.changedTouches[0].pageX-documentX,normalizedY=touchEvent.changedTouches[0].pageY-documentY}else{var mouseEvent=evt;normalizedX=mouseEvent.pageX-documentX,normalizedY=mouseEvent.pageY-documentY}return{x:normalizedX,y:normalizedY}}/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */ // Activation events registered on the root element of each instance for activation
function validDescriptor(inputPropDesc){return!!inputPropDesc&&"function"==typeof inputPropDesc.set}function cc(obj){var out="";if("string"==typeof obj||"number"==typeof obj)return obj||"";if(isArray(obj))for(var tmp,k=0;k<obj.length;k++)""!==(tmp=cc(obj[k]))&&(out+=(out&&" ")+tmp);else for(var k in obj)obj.hasOwnProperty(k)&&obj[k]&&(out+=(out&&" ")+k);return out}function _defineProperty(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}function div(attrs){return new DOMBuilder("div",attrs)}function a(attrs){return new DOMBuilder("a",attrs)}function _defineProperty$1(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}/*!
   * perfect-scrollbar v1.5.0
   * Copyright 2020 Hyunje Jun, MDBootstrap and Contributors
   * Licensed under MIT
   */function get(element){return getComputedStyle(element)}function set(element,obj){for(var key in obj){var val=obj[key];"number"==typeof val&&(val+="px"),element.style[key]=val}return element}function div$1(className){var div=document.createElement("div");return div.className=className,div}function matches$1(element,query){if(!elMatches)throw new Error("No element matching method supported");return elMatches.call(element,query)}function remove(element){element.remove?element.remove():element.parentNode&&element.parentNode.removeChild(element)}function queryChildren(element,selector){return Array.prototype.filter.call(element.children,function(child){return matches$1(child,selector)})}function addScrollingClass(i,x){var classList=i.element.classList,className=cls.state.scrolling(x);classList.contains(className)?clearTimeout(scrollingClassTimeout[x]):classList.add(className)}function removeScrollingClass(i,x){scrollingClassTimeout[x]=setTimeout(function(){return i.isAlive&&i.element.classList.remove(cls.state.scrolling(x))},i.settings.scrollingThreshold)}function setScrollingClassInstantly(i,x){addScrollingClass(i,x),removeScrollingClass(i,x)}function createEvent(name){if("function"==typeof window.CustomEvent)return new CustomEvent(name);var evt=document.createEvent("CustomEvent");return evt.initCustomEvent(name,!1,!1,void 0),evt}function processScrollDiff(i,axis,diff,useScrollingClass,forceFireReachEvent){void 0===useScrollingClass&&(useScrollingClass=!0),void 0===forceFireReachEvent&&(forceFireReachEvent=!1);var fields;if("top"===axis)fields=["contentHeight","containerHeight","scrollTop","y","up","down"];else if("left"===axis)fields=["contentWidth","containerWidth","scrollLeft","x","left","right"];else throw new Error("A proper axis should be provided");processScrollDiff$1(i,diff,fields,useScrollingClass,forceFireReachEvent)}function processScrollDiff$1(i,diff,ref,useScrollingClass,forceFireReachEvent){var contentHeight=ref[0],containerHeight=ref[1],scrollTop=ref[2],y=ref[3],up=ref[4],down=ref[5];void 0===useScrollingClass&&(useScrollingClass=!0),void 0===forceFireReachEvent&&(forceFireReachEvent=!1);var element=i.element;// reset reach
i.reach[y]=null,1>element[scrollTop]&&(i.reach[y]="start"),element[scrollTop]>i[contentHeight]-i[containerHeight]-1&&(i.reach[y]="end"),diff&&(element.dispatchEvent(createEvent("ps-scroll-"+y)),0>diff?element.dispatchEvent(createEvent("ps-scroll-"+up)):0<diff&&element.dispatchEvent(createEvent("ps-scroll-"+down)),useScrollingClass&&setScrollingClassInstantly(i,y)),i.reach[y]&&(diff||forceFireReachEvent)&&element.dispatchEvent(createEvent("ps-"+y+"-reach-"+i.reach[y]))}function toInt(x){return parseInt(x,10)||0}function isEditable(el){return matches$1(el,"input,[contenteditable]")||matches$1(el,"select,[contenteditable]")||matches$1(el,"textarea,[contenteditable]")||matches$1(el,"button,[contenteditable]")}function outerWidth(element){var styles=get(element);return toInt(styles.width)+toInt(styles.paddingLeft)+toInt(styles.paddingRight)+toInt(styles.borderLeftWidth)+toInt(styles.borderRightWidth)}function updateGeometry(i){var _Mathceil=Math.ceil,element=i.element,roundedScrollTop=_Mathfloor(element.scrollTop),rect=element.getBoundingClientRect();i.containerWidth=_Mathceil(rect.width),i.containerHeight=_Mathceil(rect.height),i.contentWidth=element.scrollWidth,i.contentHeight=element.scrollHeight,element.contains(i.scrollbarXRail)||(queryChildren(element,cls.element.rail("x")).forEach(function(el){return remove(el)}),element.appendChild(i.scrollbarXRail)),element.contains(i.scrollbarYRail)||(queryChildren(element,cls.element.rail("y")).forEach(function(el){return remove(el)}),element.appendChild(i.scrollbarYRail)),!i.settings.suppressScrollX&&i.containerWidth+i.settings.scrollXMarginOffset<i.contentWidth?(i.scrollbarXActive=!0,i.railXWidth=i.containerWidth-i.railXMarginWidth,i.railXRatio=i.containerWidth/i.railXWidth,i.scrollbarXWidth=getThumbSize(i,toInt(i.railXWidth*i.containerWidth/i.contentWidth)),i.scrollbarXLeft=toInt((i.negativeScrollAdjustment+element.scrollLeft)*(i.railXWidth-i.scrollbarXWidth)/(i.contentWidth-i.containerWidth))):i.scrollbarXActive=!1,!i.settings.suppressScrollY&&i.containerHeight+i.settings.scrollYMarginOffset<i.contentHeight?(i.scrollbarYActive=!0,i.railYHeight=i.containerHeight-i.railYMarginHeight,i.railYRatio=i.containerHeight/i.railYHeight,i.scrollbarYHeight=getThumbSize(i,toInt(i.railYHeight*i.containerHeight/i.contentHeight)),i.scrollbarYTop=toInt(roundedScrollTop*(i.railYHeight-i.scrollbarYHeight)/(i.contentHeight-i.containerHeight))):i.scrollbarYActive=!1,i.scrollbarXLeft>=i.railXWidth-i.scrollbarXWidth&&(i.scrollbarXLeft=i.railXWidth-i.scrollbarXWidth),i.scrollbarYTop>=i.railYHeight-i.scrollbarYHeight&&(i.scrollbarYTop=i.railYHeight-i.scrollbarYHeight),updateCss(element,i),i.scrollbarXActive?element.classList.add(cls.state.active("x")):(element.classList.remove(cls.state.active("x")),i.scrollbarXWidth=0,i.scrollbarXLeft=0,element.scrollLeft=!0===i.isRtl?i.contentWidth:0),i.scrollbarYActive?element.classList.add(cls.state.active("y")):(element.classList.remove(cls.state.active("y")),i.scrollbarYHeight=0,i.scrollbarYTop=0,element.scrollTop=0)}function getThumbSize(i,thumbSize){return i.settings.minScrollbarLength&&(thumbSize=_Mathmax(thumbSize,i.settings.minScrollbarLength)),i.settings.maxScrollbarLength&&(thumbSize=_Mathmin(thumbSize,i.settings.maxScrollbarLength)),thumbSize}function updateCss(element,i){var xRailOffset={width:i.railXWidth},roundedScrollTop=_Mathfloor(element.scrollTop);xRailOffset.left=i.isRtl?i.negativeScrollAdjustment+element.scrollLeft+i.containerWidth-i.contentWidth:element.scrollLeft,i.isScrollbarXUsingBottom?xRailOffset.bottom=i.scrollbarXBottom-roundedScrollTop:xRailOffset.top=i.scrollbarXTop+roundedScrollTop,set(i.scrollbarXRail,xRailOffset);var yRailOffset={top:roundedScrollTop,height:i.railYHeight};i.isScrollbarYUsingRight?i.isRtl?yRailOffset.right=i.contentWidth-(i.negativeScrollAdjustment+element.scrollLeft)-i.scrollbarYRight-i.scrollbarYOuterWidth-9:yRailOffset.right=i.scrollbarYRight-element.scrollLeft:i.isRtl?yRailOffset.left=i.negativeScrollAdjustment+element.scrollLeft+2*i.containerWidth-i.contentWidth-i.scrollbarYLeft-i.scrollbarYOuterWidth:yRailOffset.left=i.scrollbarYLeft+element.scrollLeft,set(i.scrollbarYRail,yRailOffset),set(i.scrollbarX,{left:i.scrollbarXLeft,width:i.scrollbarXWidth-i.railBorderXWidth}),set(i.scrollbarY,{top:i.scrollbarYTop,height:i.scrollbarYHeight-i.railBorderYWidth})}function bindMouseScrollHandler(i,ref){function mouseMoveHandler(e){e.touches&&e.touches[0]&&(e[pageY]=e.touches[0].pageY),element[scrollTop]=startingScrollTop+scrollBy*(e[pageY]-startingMousePageY),addScrollingClass(i,y),updateGeometry(i),e.stopPropagation(),e.preventDefault()}function mouseUpHandler(){removeScrollingClass(i,y),i[scrollbarYRail].classList.remove(cls.state.clicking),i.event.unbind(i.ownerDocument,"mousemove",mouseMoveHandler)}function bindMoves(e,touchMode){startingScrollTop=element[scrollTop],touchMode&&e.touches&&(e[pageY]=e.touches[0].pageY),startingMousePageY=e[pageY],scrollBy=(i[contentHeight]-i[containerHeight])/(i[railYHeight]-i[scrollbarYHeight]),touchMode?i.event.bind(i.ownerDocument,"touchmove",mouseMoveHandler):(i.event.bind(i.ownerDocument,"mousemove",mouseMoveHandler),i.event.once(i.ownerDocument,"mouseup",mouseUpHandler),e.preventDefault()),i[scrollbarYRail].classList.add(cls.state.clicking),e.stopPropagation()}var containerHeight=ref[0],contentHeight=ref[1],pageY=ref[2],railYHeight=ref[3],scrollbarY=ref[4],scrollbarYHeight=ref[5],scrollTop=ref[6],y=ref[7],scrollbarYRail=ref[8],element=i.element,startingScrollTop=null,startingMousePageY=null,scrollBy=null;i.event.bind(i[scrollbarY],"mousedown",function(e){bindMoves(e)}),i.event.bind(i[scrollbarY],"touchstart",function(e){bindMoves(e,!0)})}function _defineProperty$2(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}function _defineProperty$3(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}var Turbolinks__default=/*#__PURE__*/_interopDefaultLegacy(Turbolinks);const equalFn=(a,b)=>a===b,ERROR=Symbol("error"),NOTPENDING={},STALE=1,PENDING=2,UNOWNED={owned:null,cleanups:null,context:null,owner:null};let Owner=null,Listener=null,Pending=null,Updates=null,Afters=[],ExecCount=0;const $RAW=Symbol("state-raw"),$NODE=Symbol("state-node"),$PROXY=Symbol("state-proxy"),proxyTraps={get(target,property){if(property===$RAW)return target;if(property!==$PROXY&&property!==$NODE){const value=target[property],wrappable=isWrappable(value);if(isListening()&&("function"!=typeof value||target.hasOwnProperty(property))){let nodes,node;wrappable&&(nodes=getDataNodes(value))&&(node=nodes._||(nodes._=createSignal()),node[0]()),nodes=getDataNodes(target),node=nodes[property]||(nodes[property]=createSignal()),node[0]()}return wrappable?wrap(value):value}},set(){return!0},deleteProperty(){return!0}},setterTraps={get(target,property){if(property===$RAW)return target;const value=target[property];return isWrappable(value)?new Proxy(value,setterTraps):value},set(target,property,value){return setProperty(target,property,unwrap(value)),!0},deleteProperty(target,property){return setProperty(target,property,void 0),!0}},[active,increment,decrement]=function(){let count=0;const[read,trigger]=createSignal(!1);return[read,()=>0==count++&&trigger(!0),()=>0>=--count&&trigger(!1)]}(),Types={ATTRIBUTE:"attribute",PROPERTY:"property"},Attributes={href:{type:Types.ATTRIBUTE},style:{type:Types.PROPERTY,alias:"style.cssText"},for:{type:Types.PROPERTY,alias:"htmlFor"},class:{type:Types.PROPERTY,alias:"className"},spellCheck:{type:Types.PROPERTY,alias:"spellcheck"},allowFullScreen:{type:Types.PROPERTY,alias:"allowFullscreen"},autoCapitalize:{type:Types.PROPERTY,alias:"autocapitalize"},autoFocus:{type:Types.PROPERTY,alias:"autofocus"},autoPlay:{type:Types.PROPERTY,alias:"autoplay"}},SVGAttributes={className:{type:Types.ATTRIBUTE,alias:"class"},htmlFor:{type:Types.ATTRIBUTE,alias:"for"},tabIndex:{type:Types.ATTRIBUTE,alias:"tabindex"},allowReorder:{type:Types.ATTRIBUTE},attributeName:{type:Types.ATTRIBUTE},attributeType:{type:Types.ATTRIBUTE},autoReverse:{type:Types.ATTRIBUTE},baseFrequency:{type:Types.ATTRIBUTE},calcMode:{type:Types.ATTRIBUTE},clipPathUnits:{type:Types.ATTRIBUTE},contentScriptType:{type:Types.ATTRIBUTE},contentStyleType:{type:Types.ATTRIBUTE},diffuseConstant:{type:Types.ATTRIBUTE},edgeMode:{type:Types.ATTRIBUTE},externalResourcesRequired:{type:Types.ATTRIBUTE},filterRes:{type:Types.ATTRIBUTE},filterUnits:{type:Types.ATTRIBUTE},gradientTransform:{type:Types.ATTRIBUTE},gradientUnits:{type:Types.ATTRIBUTE},kernelMatrix:{type:Types.ATTRIBUTE},kernelUnitLength:{type:Types.ATTRIBUTE},keyPoints:{type:Types.ATTRIBUTE},keySplines:{type:Types.ATTRIBUTE},keyTimes:{type:Types.ATTRIBUTE},lengthAdjust:{type:Types.ATTRIBUTE},limitingConeAngle:{type:Types.ATTRIBUTE},markerHeight:{type:Types.ATTRIBUTE},markerUnits:{type:Types.ATTRIBUTE},maskContentUnits:{type:Types.ATTRIBUTE},maskUnits:{type:Types.ATTRIBUTE},numOctaves:{type:Types.ATTRIBUTE},pathLength:{type:Types.ATTRIBUTE},patternContentUnits:{type:Types.ATTRIBUTE},patternTransform:{type:Types.ATTRIBUTE},patternUnits:{type:Types.ATTRIBUTE},pointsAtX:{type:Types.ATTRIBUTE},pointsAtY:{type:Types.ATTRIBUTE},pointsAtZ:{type:Types.ATTRIBUTE},preserveAlpha:{type:Types.ATTRIBUTE},preserveAspectRatio:{type:Types.ATTRIBUTE},primitiveUnits:{type:Types.ATTRIBUTE},refX:{type:Types.ATTRIBUTE},refY:{type:Types.ATTRIBUTE},repeatCount:{type:Types.ATTRIBUTE},repeatDur:{type:Types.ATTRIBUTE},requiredExtensions:{type:Types.ATTRIBUTE},requiredFeatures:{type:Types.ATTRIBUTE},specularConstant:{type:Types.ATTRIBUTE},specularExponent:{type:Types.ATTRIBUTE},spreadMethod:{type:Types.ATTRIBUTE},startOffset:{type:Types.ATTRIBUTE},stdDeviation:{type:Types.ATTRIBUTE},stitchTiles:{type:Types.ATTRIBUTE},surfaceScale:{type:Types.ATTRIBUTE},systemLanguage:{type:Types.ATTRIBUTE},tableValues:{type:Types.ATTRIBUTE},targetX:{type:Types.ATTRIBUTE},targetY:{type:Types.ATTRIBUTE},textLength:{type:Types.ATTRIBUTE},viewBox:{type:Types.ATTRIBUTE},viewTarget:{type:Types.ATTRIBUTE},xChannelSelector:{type:Types.ATTRIBUTE},yChannelSelector:{type:Types.ATTRIBUTE},zoomAndPan:{type:Types.ATTRIBUTE}},NonComposedEvents=new Set(["abort","animationstart","animationend","animationiteration","blur","change","copy","cut","error","focus","gotpointercapture","load","loadend","loadstart","lostpointercapture","mouseenter","mouseleave","paste","progress","reset","scroll","select","submit","transitionstart","transitioncancel","transitionend","transitionrun"]),eventRegistry=new Set,hydration=globalThis._$HYDRATION||(globalThis._$HYDRATION={});let currentElement;var supportsCssVariables_,extendStatics=function(d,b){return extendStatics=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(d,b){d.__proto__=b}||function(d,b){for(var p in b)b.hasOwnProperty(p)&&(d[p]=b[p])},extendStatics(d,b)},__assign=function(){return __assign=Object.assign||function(t){for(var s,i=1,n=arguments.length;i<n;i++)for(var p in s=arguments[i],s)Object.prototype.hasOwnProperty.call(s,p)&&(t[p]=s[p]);return t},__assign.apply(this,arguments)},jsEventTypeMap={animationend:{cssProperty:"animation",prefixed:"webkitAnimationEnd",standard:"animationend"},animationiteration:{cssProperty:"animation",prefixed:"webkitAnimationIteration",standard:"animationiteration"},animationstart:{cssProperty:"animation",prefixed:"webkitAnimationStart",standard:"animationstart"},transitionend:{cssProperty:"transition",prefixed:"webkitTransitionEnd",standard:"transitionend"}},MDCFoundation=/** @class */function(){function MDCFoundation(adapter){void 0===adapter&&(adapter={}),this.adapter=adapter}return Object.defineProperty(MDCFoundation,"cssClasses",{get:function(){// Classes extending MDCFoundation should implement this method to return an object which exports every
// CSS class the foundation class needs as a property. e.g. {ACTIVE: 'mdc-component--active'}
return{}},enumerable:!0,configurable:!0}),Object.defineProperty(MDCFoundation,"strings",{get:function(){// Classes extending MDCFoundation should implement this method to return an object which exports all
// semantic strings as constants. e.g. {ARIA_ROLE: 'tablist'}
return{}},enumerable:!0,configurable:!0}),Object.defineProperty(MDCFoundation,"numbers",{get:function(){// Classes extending MDCFoundation should implement this method to return an object which exports all
// of its semantic numbers as constants. e.g. {ANIMATION_DELAY_MS: 350}
return{}},enumerable:!0,configurable:!0}),Object.defineProperty(MDCFoundation,"defaultAdapter",{get:function(){// Classes extending MDCFoundation may choose to implement this getter in order to provide a convenient
// way of viewing the necessary methods of an adapter. In the future, this could also be used for adapter
// validation.
return{}},enumerable:!0,configurable:!0}),MDCFoundation.prototype.init=function(){// Subclasses should override this method to perform initialization routines (registering events, etc.)
},MDCFoundation.prototype.destroy=function(){// Subclasses should override this method to perform de-initialization routines (de-registering events, etc.)
},MDCFoundation}(),MDCComponent=/** @class */function(){function MDCComponent(root,foundation){for(var args=[],_i=2;_i<arguments.length;_i++)args[_i-2]=arguments[_i];this.root=root,this.initialize.apply(this,__spread(args)),this.foundation=void 0===foundation?this.getDefaultFoundation():foundation,this.foundation.init(),this.initialSyncWithDOM()}return MDCComponent.attachTo=function(root){// Subclasses which extend MDCBase should provide an attachTo() method that takes a root element and
// returns an instantiated component with its root set to that element. Also note that in the cases of
// subclasses, an explicit foundation class will not have to be passed in; it will simply be initialized
// from getDefaultFoundation().
return new MDCComponent(root,new MDCFoundation({}))},MDCComponent.prototype.initialize=function(){for(var _args=[],_i=0;_i<arguments.length;_i++)_args[_i]=arguments[_i];// Subclasses can override this to do any additional setup work that would be considered part of a
// "constructor". Essentially, it is a hook into the parent constructor before the foundation is
// initialized. Any additional arguments besides root and foundation will be passed in here.
},MDCComponent.prototype.getDefaultFoundation=function(){// Subclasses must override this method to return a properly configured foundation class for the
// component.
throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")},MDCComponent.prototype.initialSyncWithDOM=function(){// Subclasses should override this method if they need to perform work to synchronize with a host DOM
// object. An example of this would be a form control wrapper that needs to synchronize its internal state
// to some property or attribute of the host DOM. Please note: this is *not* the place to perform DOM
// reads/writes that would cause layout / paint, as this is called synchronously from within the constructor.
},MDCComponent.prototype.destroy=function(){this.foundation.destroy()},MDCComponent.prototype.listen=function(evtType,handler,options){this.root.addEventListener(evtType,handler,options)},MDCComponent.prototype.unlisten=function(evtType,handler,options){this.root.removeEventListener(evtType,handler,options)},MDCComponent.prototype.emit=function(evtType,evtData,shouldBubble){void 0===shouldBubble&&(shouldBubble=!1);var evt;"function"==typeof CustomEvent?evt=new CustomEvent(evtType,{bubbles:shouldBubble,detail:evtData}):(evt=document.createEvent("CustomEvent"),evt.initCustomEvent(evtType,shouldBubble,!1,evtData)),this.root.dispatchEvent(evt)},MDCComponent}(),cssClasses={// Ripple is a special case where the "root" component is really a "mixin" of sorts,
// given that it's an 'upgrade' to an existing component. That being said it is the root
// CSS class that all other CSS classes derive from.
BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation",ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded"},strings={VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top"},numbers={DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,INITIAL_ORIGIN_SCALE:.6,PADDING:10,TAP_DELAY_MS:300},ACTIVATION_EVENT_TYPES=["touchstart","pointerdown","mousedown","keydown"],POINTER_DEACTIVATION_EVENT_TYPES=["touchend","pointerup","mouseup","contextmenu"],activatedTargets=[],MDCRippleFoundation=/** @class */function(_super){function MDCRippleFoundation(adapter){var _this=_super.call(this,__assign(__assign({},MDCRippleFoundation.defaultAdapter),adapter))||this;return _this.activationAnimationHasEnded_=!1,_this.activationTimer_=0,_this.fgDeactivationRemovalTimer_=0,_this.fgScale_="0",_this.frame_={width:0,height:0},_this.initialSize_=0,_this.layoutFrame_=0,_this.maxRadius_=0,_this.unboundedCoords_={left:0,top:0},_this.activationState_=_this.defaultActivationState_(),_this.activationTimerCallback_=function(){_this.activationAnimationHasEnded_=!0,_this.runDeactivationUXLogicIfReady_()},_this.activateHandler_=function(e){return _this.activate_(e)},_this.deactivateHandler_=function(){return _this.deactivate_()},_this.focusHandler_=function(){return _this.handleFocus()},_this.blurHandler_=function(){return _this.handleBlur()},_this.resizeHandler_=function(){return _this.layout()},_this}return __extends(MDCRippleFoundation,_super),Object.defineProperty(MDCRippleFoundation,"cssClasses",{get:function(){return cssClasses},enumerable:!0,configurable:!0}),Object.defineProperty(MDCRippleFoundation,"strings",{get:function(){return strings},enumerable:!0,configurable:!0}),Object.defineProperty(MDCRippleFoundation,"numbers",{get:function(){return numbers},enumerable:!0,configurable:!0}),Object.defineProperty(MDCRippleFoundation,"defaultAdapter",{get:function(){return{addClass:function(){},browserSupportsCssVars:function(){return!0},computeBoundingRect:function(){return{top:0,right:0,bottom:0,left:0,width:0,height:0}},containsEventTarget:function(){return!0},deregisterDocumentInteractionHandler:function(){},deregisterInteractionHandler:function(){},deregisterResizeHandler:function(){},getWindowPageOffset:function(){return{x:0,y:0}},isSurfaceActive:function(){return!0},isSurfaceDisabled:function(){return!0},isUnbounded:function(){return!0},registerDocumentInteractionHandler:function(){},registerInteractionHandler:function(){},registerResizeHandler:function(){},removeClass:function(){},updateCssVariable:function(){}}},enumerable:!0,configurable:!0}),MDCRippleFoundation.prototype.init=function(){var _this=this,supportsPressRipple=this.supportsPressRipple_();if(this.registerRootHandlers_(supportsPressRipple),supportsPressRipple){var _a=MDCRippleFoundation.cssClasses,ROOT_1=_a.ROOT,UNBOUNDED_1=_a.UNBOUNDED;requestAnimationFrame(function(){_this.adapter.addClass(ROOT_1),_this.adapter.isUnbounded()&&(_this.adapter.addClass(UNBOUNDED_1),_this.layoutInternal_())})}},MDCRippleFoundation.prototype.destroy=function(){var _this=this;if(this.supportsPressRipple_()){this.activationTimer_&&(clearTimeout(this.activationTimer_),this.activationTimer_=0,this.adapter.removeClass(MDCRippleFoundation.cssClasses.FG_ACTIVATION)),this.fgDeactivationRemovalTimer_&&(clearTimeout(this.fgDeactivationRemovalTimer_),this.fgDeactivationRemovalTimer_=0,this.adapter.removeClass(MDCRippleFoundation.cssClasses.FG_DEACTIVATION));var _a=MDCRippleFoundation.cssClasses,ROOT_2=_a.ROOT,UNBOUNDED_2=_a.UNBOUNDED;requestAnimationFrame(function(){_this.adapter.removeClass(ROOT_2),_this.adapter.removeClass(UNBOUNDED_2),_this.removeCssVars_()})}this.deregisterRootHandlers_(),this.deregisterDeactivationHandlers_()},MDCRippleFoundation.prototype.activate=function(evt){this.activate_(evt)},MDCRippleFoundation.prototype.deactivate=function(){this.deactivate_()},MDCRippleFoundation.prototype.layout=function(){var _this=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){_this.layoutInternal_(),_this.layoutFrame_=0})},MDCRippleFoundation.prototype.setUnbounded=function(unbounded){var UNBOUNDED=MDCRippleFoundation.cssClasses.UNBOUNDED;unbounded?this.adapter.addClass(UNBOUNDED):this.adapter.removeClass(UNBOUNDED)},MDCRippleFoundation.prototype.handleFocus=function(){var _this=this;requestAnimationFrame(function(){return _this.adapter.addClass(MDCRippleFoundation.cssClasses.BG_FOCUSED)})},MDCRippleFoundation.prototype.handleBlur=function(){var _this=this;requestAnimationFrame(function(){return _this.adapter.removeClass(MDCRippleFoundation.cssClasses.BG_FOCUSED)})},MDCRippleFoundation.prototype.supportsPressRipple_=function(){return this.adapter.browserSupportsCssVars()},MDCRippleFoundation.prototype.defaultActivationState_=function(){return{activationEvent:void 0,hasDeactivationUXRun:!1,isActivated:!1,isProgrammatic:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1}},MDCRippleFoundation.prototype.registerRootHandlers_=function(supportsPressRipple){var _this=this;supportsPressRipple&&(ACTIVATION_EVENT_TYPES.forEach(function(evtType){_this.adapter.registerInteractionHandler(evtType,_this.activateHandler_)}),this.adapter.isUnbounded()&&this.adapter.registerResizeHandler(this.resizeHandler_)),this.adapter.registerInteractionHandler("focus",this.focusHandler_),this.adapter.registerInteractionHandler("blur",this.blurHandler_)},MDCRippleFoundation.prototype.registerDeactivationHandlers_=function(evt){var _this=this;"keydown"===evt.type?this.adapter.registerInteractionHandler("keyup",this.deactivateHandler_):POINTER_DEACTIVATION_EVENT_TYPES.forEach(function(evtType){_this.adapter.registerDocumentInteractionHandler(evtType,_this.deactivateHandler_)})},MDCRippleFoundation.prototype.deregisterRootHandlers_=function(){var _this=this;ACTIVATION_EVENT_TYPES.forEach(function(evtType){_this.adapter.deregisterInteractionHandler(evtType,_this.activateHandler_)}),this.adapter.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter.deregisterInteractionHandler("blur",this.blurHandler_),this.adapter.isUnbounded()&&this.adapter.deregisterResizeHandler(this.resizeHandler_)},MDCRippleFoundation.prototype.deregisterDeactivationHandlers_=function(){var _this=this;this.adapter.deregisterInteractionHandler("keyup",this.deactivateHandler_),POINTER_DEACTIVATION_EVENT_TYPES.forEach(function(evtType){_this.adapter.deregisterDocumentInteractionHandler(evtType,_this.deactivateHandler_)})},MDCRippleFoundation.prototype.removeCssVars_=function(){var _this=this,rippleStrings=MDCRippleFoundation.strings,keys=Object.keys(rippleStrings);keys.forEach(function(key){0===key.indexOf("VAR_")&&_this.adapter.updateCssVariable(rippleStrings[key],null)})},MDCRippleFoundation.prototype.activate_=function(evt){var _this=this;if(!this.adapter.isSurfaceDisabled()){var activationState=this.activationState_;if(!activationState.isActivated){// Avoid reacting to follow-on events fired by touch device after an already-processed user interaction
var previousActivationEvent=this.previousActivationEvent_,isSameInteraction=previousActivationEvent&&void 0!==evt&&previousActivationEvent.type!==evt.type;if(!isSameInteraction){activationState.isActivated=!0,activationState.isProgrammatic=void 0===evt,activationState.activationEvent=evt,activationState.wasActivatedByPointer=!activationState.isProgrammatic&&void 0!==evt&&("mousedown"===evt.type||"touchstart"===evt.type||"pointerdown"===evt.type);var hasActivatedChild=void 0!==evt&&0<activatedTargets.length&&activatedTargets.some(function(target){return _this.adapter.containsEventTarget(target)});return hasActivatedChild?void this.resetActivationState_():void(void 0!==evt&&(activatedTargets.push(evt.target),this.registerDeactivationHandlers_(evt)),activationState.wasElementMadeActive=this.checkElementMadeActive_(evt),activationState.wasElementMadeActive&&this.animateActivation_(),requestAnimationFrame(function(){activatedTargets=[],activationState.wasElementMadeActive||void 0===evt||" "!==evt.key&&32!==evt.keyCode||(activationState.wasElementMadeActive=_this.checkElementMadeActive_(evt),activationState.wasElementMadeActive&&_this.animateActivation_()),activationState.wasElementMadeActive||(_this.activationState_=_this.defaultActivationState_())}))}}}},MDCRippleFoundation.prototype.checkElementMadeActive_=function(evt){return void 0===evt||"keydown"!==evt.type||this.adapter.isSurfaceActive()},MDCRippleFoundation.prototype.animateActivation_=function(){var _this=this,_a=MDCRippleFoundation.strings,VAR_FG_TRANSLATE_START=_a.VAR_FG_TRANSLATE_START,VAR_FG_TRANSLATE_END=_a.VAR_FG_TRANSLATE_END,_b=MDCRippleFoundation.cssClasses,FG_DEACTIVATION=_b.FG_DEACTIVATION,FG_ACTIVATION=_b.FG_ACTIVATION,DEACTIVATION_TIMEOUT_MS=MDCRippleFoundation.numbers.DEACTIVATION_TIMEOUT_MS;this.layoutInternal_();var translateStart="",translateEnd="";if(!this.adapter.isUnbounded()){var _c=this.getFgTranslationCoordinates_(),startPoint=_c.startPoint,endPoint=_c.endPoint;translateStart=startPoint.x+"px, "+startPoint.y+"px",translateEnd=endPoint.x+"px, "+endPoint.y+"px"}this.adapter.updateCssVariable(VAR_FG_TRANSLATE_START,translateStart),this.adapter.updateCssVariable(VAR_FG_TRANSLATE_END,translateEnd),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter.removeClass(FG_DEACTIVATION),this.adapter.computeBoundingRect(),this.adapter.addClass(FG_ACTIVATION),this.activationTimer_=setTimeout(function(){return _this.activationTimerCallback_()},DEACTIVATION_TIMEOUT_MS)},MDCRippleFoundation.prototype.getFgTranslationCoordinates_=function(){var startPoint,_a=this.activationState_,activationEvent=_a.activationEvent,wasActivatedByPointer=_a.wasActivatedByPointer;startPoint=wasActivatedByPointer?getNormalizedEventCoords(activationEvent,this.adapter.getWindowPageOffset(),this.adapter.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2},startPoint={x:startPoint.x-this.initialSize_/2,y:startPoint.y-this.initialSize_/2};var endPoint={x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2};return{startPoint:startPoint,endPoint:endPoint}},MDCRippleFoundation.prototype.runDeactivationUXLogicIfReady_=function(){var _this=this,FG_DEACTIVATION=MDCRippleFoundation.cssClasses.FG_DEACTIVATION,_a=this.activationState_,hasDeactivationUXRun=_a.hasDeactivationUXRun,isActivated=_a.isActivated;// This method is called both when a pointing device is released, and when the activation animation ends.
// The deactivation animation should only run after both of those occur.
(hasDeactivationUXRun||!isActivated)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter.addClass(FG_DEACTIVATION),this.fgDeactivationRemovalTimer_=setTimeout(function(){_this.adapter.removeClass(FG_DEACTIVATION)},numbers.FG_DEACTIVATION_MS))},MDCRippleFoundation.prototype.rmBoundedActivationClasses_=function(){var FG_ACTIVATION=MDCRippleFoundation.cssClasses.FG_ACTIVATION;this.adapter.removeClass(FG_ACTIVATION),this.activationAnimationHasEnded_=!1,this.adapter.computeBoundingRect()},MDCRippleFoundation.prototype.resetActivationState_=function(){var _this=this;this.previousActivationEvent_=this.activationState_.activationEvent,this.activationState_=this.defaultActivationState_(),setTimeout(function(){return _this.previousActivationEvent_=void 0},MDCRippleFoundation.numbers.TAP_DELAY_MS)},MDCRippleFoundation.prototype.deactivate_=function(){var _this=this,activationState=this.activationState_;// This can happen in scenarios such as when you have a keyup event that blurs the element.
if(activationState.isActivated){var state=__assign({},activationState);activationState.isProgrammatic?(requestAnimationFrame(function(){return _this.animateDeactivation_(state)}),this.resetActivationState_()):(this.deregisterDeactivationHandlers_(),requestAnimationFrame(function(){_this.activationState_.hasDeactivationUXRun=!0,_this.animateDeactivation_(state),_this.resetActivationState_()}))}},MDCRippleFoundation.prototype.animateDeactivation_=function(_a){var wasActivatedByPointer=_a.wasActivatedByPointer,wasElementMadeActive=_a.wasElementMadeActive;(wasActivatedByPointer||wasElementMadeActive)&&this.runDeactivationUXLogicIfReady_()},MDCRippleFoundation.prototype.layoutInternal_=function(){var _this=this;this.frame_=this.adapter.computeBoundingRect();var maxDim=_Mathmax(this.frame_.height,this.frame_.width);// Surface diameter is treated differently for unbounded vs. bounded ripples.
// Unbounded ripple diameter is calculated smaller since the surface is expected to already be padded appropriately
// to extend the hitbox, and the ripple is expected to meet the edges of the padded hitbox (which is typically
// square). Bounded ripples, on the other hand, are fully expected to expand beyond the surface's longest diameter
// (calculated based on the diagonal plus a constant padding), and are clipped at the surface's border via
// `overflow: hidden`.
this.maxRadius_=this.adapter.isUnbounded()?maxDim:function(){var _Mathsqrt=Math.sqrt,_Mathpow=Math.pow,hypotenuse=_Mathsqrt(_Mathpow(_this.frame_.width,2)+_Mathpow(_this.frame_.height,2));return hypotenuse+MDCRippleFoundation.numbers.PADDING}();// Ripple is sized as a fraction of the largest dimension of the surface, then scales up using a CSS scale transform
var initialSize=_Mathfloor(maxDim*MDCRippleFoundation.numbers.INITIAL_ORIGIN_SCALE);// Unbounded ripple size should always be even number to equally center align.
this.initialSize_=this.adapter.isUnbounded()&&0!=initialSize%2?initialSize-1:initialSize,this.fgScale_=""+this.maxRadius_/this.initialSize_,this.updateLayoutCssVars_()},MDCRippleFoundation.prototype.updateLayoutCssVars_=function(){var _Mathround=Math.round,_a=MDCRippleFoundation.strings,VAR_FG_SIZE=_a.VAR_FG_SIZE,VAR_LEFT=_a.VAR_LEFT,VAR_TOP=_a.VAR_TOP,VAR_FG_SCALE=_a.VAR_FG_SCALE;this.adapter.updateCssVariable(VAR_FG_SIZE,this.initialSize_+"px"),this.adapter.updateCssVariable(VAR_FG_SCALE,this.fgScale_),this.adapter.isUnbounded()&&(this.unboundedCoords_={left:_Mathround(this.frame_.width/2-this.initialSize_/2),top:_Mathround(this.frame_.height/2-this.initialSize_/2)},this.adapter.updateCssVariable(VAR_LEFT,this.unboundedCoords_.left+"px"),this.adapter.updateCssVariable(VAR_TOP,this.unboundedCoords_.top+"px"))},MDCRippleFoundation}(MDCFoundation),MDCRipple=/** @class */function(_super){function MDCRipple(){var _this=null!==_super&&_super.apply(this,arguments)||this;return _this.disabled=!1,_this}return __extends(MDCRipple,_super),MDCRipple.attachTo=function(root,opts){void 0===opts&&(opts={isUnbounded:void 0});var ripple=new MDCRipple(root);// Only override unbounded behavior if option is explicitly specified
return void 0!==opts.isUnbounded&&(ripple.unbounded=opts.isUnbounded),ripple},MDCRipple.createAdapter=function(instance){return{addClass:function(className){return instance.root.classList.add(className)},browserSupportsCssVars:function(){return supportsCssVariables(window)},computeBoundingRect:function(){return instance.root.getBoundingClientRect()},containsEventTarget:function(target){return instance.root.contains(target)},deregisterDocumentInteractionHandler:function(evtType,handler){return document.documentElement.removeEventListener(evtType,handler,applyPassive())},deregisterInteractionHandler:function(evtType,handler){return instance.root.removeEventListener(evtType,handler,applyPassive())},deregisterResizeHandler:function(handler){return window.removeEventListener("resize",handler)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isSurfaceActive:function(){return matches(instance.root,":active")},isSurfaceDisabled:function(){return!!instance.disabled},isUnbounded:function(){return!!instance.unbounded},registerDocumentInteractionHandler:function(evtType,handler){return document.documentElement.addEventListener(evtType,handler,applyPassive())},registerInteractionHandler:function(evtType,handler){return instance.root.addEventListener(evtType,handler,applyPassive())},registerResizeHandler:function(handler){return window.addEventListener("resize",handler)},removeClass:function(className){return instance.root.classList.remove(className)},updateCssVariable:function(varName,value){return instance.root.style.setProperty(varName,value)}}},Object.defineProperty(MDCRipple.prototype,"unbounded",{get:function(){return!!this.unbounded_},set:function(unbounded){this.unbounded_=!!unbounded,this.setUnbounded_()},enumerable:!0,configurable:!0}),MDCRipple.prototype.activate=function(){this.foundation.activate()},MDCRipple.prototype.deactivate=function(){this.foundation.deactivate()},MDCRipple.prototype.layout=function(){this.foundation.layout()},MDCRipple.prototype.getDefaultFoundation=function(){return new MDCRippleFoundation(MDCRipple.createAdapter(this))},MDCRipple.prototype.initialSyncWithDOM=function(){var root=this.root;this.unbounded="mdcRippleIsUnbounded"in root.dataset},MDCRipple.prototype.setUnbounded_=function(){this.foundation.setUnbounded(!!this.unbounded_)},MDCRipple}(MDCComponent),cssClasses$1={ANIM_CHECKED_INDETERMINATE:"mdc-checkbox--anim-checked-indeterminate",ANIM_CHECKED_UNCHECKED:"mdc-checkbox--anim-checked-unchecked",ANIM_INDETERMINATE_CHECKED:"mdc-checkbox--anim-indeterminate-checked",ANIM_INDETERMINATE_UNCHECKED:"mdc-checkbox--anim-indeterminate-unchecked",ANIM_UNCHECKED_CHECKED:"mdc-checkbox--anim-unchecked-checked",ANIM_UNCHECKED_INDETERMINATE:"mdc-checkbox--anim-unchecked-indeterminate",BACKGROUND:"mdc-checkbox__background",CHECKED:"mdc-checkbox--checked",CHECKMARK:"mdc-checkbox__checkmark",CHECKMARK_PATH:"mdc-checkbox__checkmark-path",DISABLED:"mdc-checkbox--disabled",INDETERMINATE:"mdc-checkbox--indeterminate",MIXEDMARK:"mdc-checkbox__mixedmark",NATIVE_CONTROL:"mdc-checkbox__native-control",ROOT:"mdc-checkbox",SELECTED:"mdc-checkbox--selected",UPGRADED:"mdc-checkbox--upgraded"},strings$1={ARIA_CHECKED_ATTR:"aria-checked",ARIA_CHECKED_INDETERMINATE_VALUE:"mixed",DATA_INDETERMINATE_ATTR:"data-indeterminate",NATIVE_CONTROL_SELECTOR:".mdc-checkbox__native-control",TRANSITION_STATE_CHECKED:"checked",TRANSITION_STATE_INDETERMINATE:"indeterminate",TRANSITION_STATE_INIT:"init",TRANSITION_STATE_UNCHECKED:"unchecked"},numbers$1={ANIM_END_LATCH_MS:250},MDCCheckboxFoundation=/** @class */function(_super){function MDCCheckboxFoundation(adapter){var _this=_super.call(this,__assign(__assign({},MDCCheckboxFoundation.defaultAdapter),adapter))||this;return _this.currentCheckState_=strings$1.TRANSITION_STATE_INIT,_this.currentAnimationClass_="",_this.animEndLatchTimer_=0,_this.enableAnimationEndHandler_=!1,_this}return __extends(MDCCheckboxFoundation,_super),Object.defineProperty(MDCCheckboxFoundation,"cssClasses",{get:function(){return cssClasses$1},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckboxFoundation,"strings",{get:function(){return strings$1},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckboxFoundation,"numbers",{get:function(){return numbers$1},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckboxFoundation,"defaultAdapter",{get:function(){return{addClass:function(){},forceLayout:function(){},hasNativeControl:function(){return!1},isAttachedToDOM:function(){return!1},isChecked:function(){return!1},isIndeterminate:function(){return!1},removeClass:function(){},removeNativeControlAttr:function(){},setNativeControlAttr:function(){},setNativeControlDisabled:function(){}}},enumerable:!0,configurable:!0}),MDCCheckboxFoundation.prototype.init=function(){this.currentCheckState_=this.determineCheckState_(),this.updateAriaChecked_(),this.adapter.addClass(cssClasses$1.UPGRADED)},MDCCheckboxFoundation.prototype.destroy=function(){clearTimeout(this.animEndLatchTimer_)},MDCCheckboxFoundation.prototype.setDisabled=function(disabled){this.adapter.setNativeControlDisabled(disabled),disabled?this.adapter.addClass(cssClasses$1.DISABLED):this.adapter.removeClass(cssClasses$1.DISABLED)},MDCCheckboxFoundation.prototype.handleAnimationEnd=function(){var _this=this;this.enableAnimationEndHandler_&&(clearTimeout(this.animEndLatchTimer_),this.animEndLatchTimer_=setTimeout(function(){_this.adapter.removeClass(_this.currentAnimationClass_),_this.enableAnimationEndHandler_=!1},numbers$1.ANIM_END_LATCH_MS))},MDCCheckboxFoundation.prototype.handleChange=function(){this.transitionCheckState_()},MDCCheckboxFoundation.prototype.transitionCheckState_=function(){if(this.adapter.hasNativeControl()){var oldState=this.currentCheckState_,newState=this.determineCheckState_();if(oldState!==newState){this.updateAriaChecked_();var TRANSITION_STATE_UNCHECKED=strings$1.TRANSITION_STATE_UNCHECKED,SELECTED=cssClasses$1.SELECTED;newState===TRANSITION_STATE_UNCHECKED?this.adapter.removeClass(SELECTED):this.adapter.addClass(SELECTED),0<this.currentAnimationClass_.length&&(clearTimeout(this.animEndLatchTimer_),this.adapter.forceLayout(),this.adapter.removeClass(this.currentAnimationClass_)),this.currentAnimationClass_=this.getTransitionAnimationClass_(oldState,newState),this.currentCheckState_=newState,this.adapter.isAttachedToDOM()&&0<this.currentAnimationClass_.length&&(this.adapter.addClass(this.currentAnimationClass_),this.enableAnimationEndHandler_=!0)}}},MDCCheckboxFoundation.prototype.determineCheckState_=function(){var TRANSITION_STATE_INDETERMINATE=strings$1.TRANSITION_STATE_INDETERMINATE,TRANSITION_STATE_CHECKED=strings$1.TRANSITION_STATE_CHECKED,TRANSITION_STATE_UNCHECKED=strings$1.TRANSITION_STATE_UNCHECKED;return this.adapter.isIndeterminate()?TRANSITION_STATE_INDETERMINATE:this.adapter.isChecked()?TRANSITION_STATE_CHECKED:TRANSITION_STATE_UNCHECKED},MDCCheckboxFoundation.prototype.getTransitionAnimationClass_=function(oldState,newState){var TRANSITION_STATE_INIT=strings$1.TRANSITION_STATE_INIT,TRANSITION_STATE_CHECKED=strings$1.TRANSITION_STATE_CHECKED,TRANSITION_STATE_UNCHECKED=strings$1.TRANSITION_STATE_UNCHECKED,_a=MDCCheckboxFoundation.cssClasses,ANIM_UNCHECKED_CHECKED=_a.ANIM_UNCHECKED_CHECKED,ANIM_UNCHECKED_INDETERMINATE=_a.ANIM_UNCHECKED_INDETERMINATE,ANIM_CHECKED_UNCHECKED=_a.ANIM_CHECKED_UNCHECKED,ANIM_CHECKED_INDETERMINATE=_a.ANIM_CHECKED_INDETERMINATE,ANIM_INDETERMINATE_CHECKED=_a.ANIM_INDETERMINATE_CHECKED,ANIM_INDETERMINATE_UNCHECKED=_a.ANIM_INDETERMINATE_UNCHECKED;return oldState===TRANSITION_STATE_INIT?newState===TRANSITION_STATE_UNCHECKED?"":newState===TRANSITION_STATE_CHECKED?ANIM_INDETERMINATE_CHECKED:ANIM_INDETERMINATE_UNCHECKED:oldState===TRANSITION_STATE_UNCHECKED?newState===TRANSITION_STATE_CHECKED?ANIM_UNCHECKED_CHECKED:ANIM_UNCHECKED_INDETERMINATE:oldState===TRANSITION_STATE_CHECKED?newState===TRANSITION_STATE_UNCHECKED?ANIM_CHECKED_UNCHECKED:ANIM_CHECKED_INDETERMINATE:newState===TRANSITION_STATE_CHECKED?ANIM_INDETERMINATE_CHECKED:ANIM_INDETERMINATE_UNCHECKED},MDCCheckboxFoundation.prototype.updateAriaChecked_=function(){this.adapter.isIndeterminate()?this.adapter.setNativeControlAttr(strings$1.ARIA_CHECKED_ATTR,strings$1.ARIA_CHECKED_INDETERMINATE_VALUE):this.adapter.removeNativeControlAttr(strings$1.ARIA_CHECKED_ATTR)},MDCCheckboxFoundation}(MDCFoundation),CB_PROTO_PROPS=["checked","indeterminate"],MDCCheckbox=/** @class */function(_super){function MDCCheckbox(){var _this=null!==_super&&_super.apply(this,arguments)||this;return _this.ripple_=_this.createRipple_(),_this}return __extends(MDCCheckbox,_super),MDCCheckbox.attachTo=function(root){return new MDCCheckbox(root)},Object.defineProperty(MDCCheckbox.prototype,"ripple",{get:function(){return this.ripple_},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckbox.prototype,"checked",{get:function(){return this.nativeControl_.checked},set:function(checked){this.nativeControl_.checked=checked},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckbox.prototype,"indeterminate",{get:function(){return this.nativeControl_.indeterminate},set:function(indeterminate){this.nativeControl_.indeterminate=indeterminate},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckbox.prototype,"disabled",{get:function(){return this.nativeControl_.disabled},set:function(disabled){this.foundation.setDisabled(disabled)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCCheckbox.prototype,"value",{get:function(){return this.nativeControl_.value},set:function(value){this.nativeControl_.value=value},enumerable:!0,configurable:!0}),MDCCheckbox.prototype.initialize=function(){var DATA_INDETERMINATE_ATTR=strings$1.DATA_INDETERMINATE_ATTR;this.nativeControl_.indeterminate="true"===this.nativeControl_.getAttribute(DATA_INDETERMINATE_ATTR),this.nativeControl_.removeAttribute(DATA_INDETERMINATE_ATTR)},MDCCheckbox.prototype.initialSyncWithDOM=function(){var _this=this;this.handleChange_=function(){return _this.foundation.handleChange()},this.handleAnimationEnd_=function(){return _this.foundation.handleAnimationEnd()},this.nativeControl_.addEventListener("change",this.handleChange_),this.listen(getCorrectEventName(window,"animationend"),this.handleAnimationEnd_),this.installPropertyChangeHooks_()},MDCCheckbox.prototype.destroy=function(){this.ripple_.destroy(),this.nativeControl_.removeEventListener("change",this.handleChange_),this.unlisten(getCorrectEventName(window,"animationend"),this.handleAnimationEnd_),this.uninstallPropertyChangeHooks_(),_super.prototype.destroy.call(this)},MDCCheckbox.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
return new MDCCheckboxFoundation({addClass:function(className){return _this.root.classList.add(className)},forceLayout:function(){return _this.root.offsetWidth},hasNativeControl:function(){return!!_this.nativeControl_},isAttachedToDOM:function(){return!!_this.root.parentNode},isChecked:function(){return _this.checked},isIndeterminate:function(){return _this.indeterminate},removeClass:function(className){_this.root.classList.remove(className)},removeNativeControlAttr:function(attr){_this.nativeControl_.removeAttribute(attr)},setNativeControlAttr:function(attr,value){_this.nativeControl_.setAttribute(attr,value)},setNativeControlDisabled:function(disabled){_this.nativeControl_.disabled=disabled}})},MDCCheckbox.prototype.createRipple_=function(){var _this=this,adapter=__assign(__assign({},MDCRipple.createAdapter(this)),{deregisterInteractionHandler:function(evtType,handler){return _this.nativeControl_.removeEventListener(evtType,handler,applyPassive())},isSurfaceActive:function(){return matches(_this.nativeControl_,":active")},isUnbounded:function(){return!0},registerInteractionHandler:function(evtType,handler){return _this.nativeControl_.addEventListener(evtType,handler,applyPassive())}});// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
return new MDCRipple(this.root,new MDCRippleFoundation(adapter))},MDCCheckbox.prototype.installPropertyChangeHooks_=function(){var _this=this,nativeCb=this.nativeControl_,cbProto=Object.getPrototypeOf(nativeCb);CB_PROTO_PROPS.forEach(function(controlState){var desc=Object.getOwnPropertyDescriptor(cbProto,controlState);// We have to check for this descriptor, since some browsers (Safari) don't support its return.
// See: https://bugs.webkit.org/show_bug.cgi?id=49739
if(validDescriptor(desc)){// Type cast is needed for compatibility with Closure Compiler.
var nativeGetter=desc.get,nativeCbDesc={configurable:desc.configurable,enumerable:desc.enumerable,get:nativeGetter,set:function(state){desc.set.call(nativeCb,state),_this.foundation.handleChange()}};Object.defineProperty(nativeCb,controlState,nativeCbDesc)}})},MDCCheckbox.prototype.uninstallPropertyChangeHooks_=function(){var nativeCb=this.nativeControl_,cbProto=Object.getPrototypeOf(nativeCb);CB_PROTO_PROPS.forEach(function(controlState){var desc=Object.getOwnPropertyDescriptor(cbProto,controlState);validDescriptor(desc)&&Object.defineProperty(nativeCb,controlState,desc)})},Object.defineProperty(MDCCheckbox.prototype,"nativeControl_",{get:function(){var NATIVE_CONTROL_SELECTOR=strings$1.NATIVE_CONTROL_SELECTOR,el=this.root.querySelector(NATIVE_CONTROL_SELECTOR);if(!el)throw new Error("Checkbox component requires a "+NATIVE_CONTROL_SELECTOR+" element");return el},enumerable:!0,configurable:!0}),MDCCheckbox}(MDCComponent),isArray=Array.isArray;const _tmpl$=template(`<div class="vf-field__row"><div class="vf-field__checkbox-container"><div class="mdc-touch-target-wrapper"><div class="vf-field__control mdc-form-field"><div><input type="checkbox" class="mdc-checkbox__native-control"><div class="mdc-checkbox__background"><svg class="mdc-checkbox__checkmark" viewBox="0 0 24 24"><path class="mdc-checkbox__checkmark-path" fill="none" d="M1.73,12.91 8.1,19.28 22.79,4.59"></path></svg><div class="mdc-checkbox__mixedmark"></div></div><div class="mdc-checkbox__ripple"></div></div><label></label></div></div></div></div>`,23),_tmpl$2=template(`<div class="mdc-text-field-helper-line"><div class="mdc-text-field-helper-text mdc-text-field-helper-text--persistent"></div></div>`,4),VCheckboxField=customElement("vf-field-checkbox",{checked:void 0,disabled:!1,error:void 0,helpText:void 0,id:void 0,label:void 0,name:void 0,required:!1},(props,{element})=>{let control,checkbox;return noShadowDOM(),afterEffects(()=>{checkbox=new MDCCheckbox(control)}),onCleanup(()=>{checkbox.destroy()}),(()=>{const _el$=_tmpl$.cloneNode(!0),_el$2=_el$.firstChild,_el$3=_el$2.firstChild,_el$4=_el$3.firstChild,_el$5=_el$4.firstChild,_el$6=_el$5.firstChild,_el$7=_el$5.nextSibling;return"function"==typeof control?control(_el$5):control=_el$5,insert(_el$7,()=>props.label),insert(_el$2,(()=>{const _c$=memo(()=>!!(props.helpText||props.error),!0);return()=>_c$()?(()=>{const _el$8=_tmpl$2.cloneNode(!0),_el$9=_el$8.firstChild;return insert(_el$9,()=>props.error||props.helpText),_el$8})():""})(),null),createEffect(_p$=>{const _v$=cc({"mdc-checkbox":!0,"mdc-checkbox--disabled":!!props.disabled}),_v$2=props.checked,_v$3=!!props.disabled,_v$4=props.id+"_control",_v$5=props.name,_v$6=!!props.required,_v$7=props.id+"_control";return _v$!==_p$._v$&&(_el$5.className=_p$._v$=_v$),_v$2!==_p$._v$2&&(_el$6.checked=_p$._v$2=_v$2),_v$3!==_p$._v$3&&(_el$6.disabled=_p$._v$3=_v$3),_v$4!==_p$._v$4&&(_el$6.id=_p$._v$4=_v$4),_v$5!==_p$._v$5&&(_el$6.name=_p$._v$5=_v$5),_v$6!==_p$._v$6&&(_el$6.required=_p$._v$6=_v$6),_v$7!==_p$._v$7&&(_el$7.htmlFor=_p$._v$7=_v$7),_p$},{_v$:void 0,_v$2:void 0,_v$3:void 0,_v$4:void 0,_v$5:void 0,_v$6:void 0,_v$7:void 0}),_el$})()});/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */var cssClasses$2={LABEL_FLOAT_ABOVE:"mdc-floating-label--float-above",LABEL_REQUIRED:"mdc-floating-label--required",LABEL_SHAKE:"mdc-floating-label--shake",ROOT:"mdc-floating-label"},MDCFloatingLabelFoundation=/** @class */function(_super){function MDCFloatingLabelFoundation(adapter){var _this=_super.call(this,__assign(__assign({},MDCFloatingLabelFoundation.defaultAdapter),adapter))||this;return _this.shakeAnimationEndHandler_=function(){return _this.handleShakeAnimationEnd_()},_this}return __extends(MDCFloatingLabelFoundation,_super),Object.defineProperty(MDCFloatingLabelFoundation,"cssClasses",{get:function(){return cssClasses$2},enumerable:!0,configurable:!0}),Object.defineProperty(MDCFloatingLabelFoundation,"defaultAdapter",{/**
           * See {@link MDCFloatingLabelAdapter} for typing information on parameters and return types.
           */get:function(){// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{addClass:function(){},removeClass:function(){},getWidth:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){}};// tslint:enable:object-literal-sort-keys
},enumerable:!0,configurable:!0}),MDCFloatingLabelFoundation.prototype.init=function(){this.adapter.registerInteractionHandler("animationend",this.shakeAnimationEndHandler_)},MDCFloatingLabelFoundation.prototype.destroy=function(){this.adapter.deregisterInteractionHandler("animationend",this.shakeAnimationEndHandler_)},MDCFloatingLabelFoundation.prototype.getWidth=function(){return this.adapter.getWidth()},MDCFloatingLabelFoundation.prototype.shake=function(shouldShake){var LABEL_SHAKE=MDCFloatingLabelFoundation.cssClasses.LABEL_SHAKE;shouldShake?this.adapter.addClass(LABEL_SHAKE):this.adapter.removeClass(LABEL_SHAKE)},MDCFloatingLabelFoundation.prototype.float=function(shouldFloat){var _a=MDCFloatingLabelFoundation.cssClasses,LABEL_FLOAT_ABOVE=_a.LABEL_FLOAT_ABOVE,LABEL_SHAKE=_a.LABEL_SHAKE;shouldFloat?this.adapter.addClass(LABEL_FLOAT_ABOVE):(this.adapter.removeClass(LABEL_FLOAT_ABOVE),this.adapter.removeClass(LABEL_SHAKE))},MDCFloatingLabelFoundation.prototype.setRequired=function(isRequired){var LABEL_REQUIRED=MDCFloatingLabelFoundation.cssClasses.LABEL_REQUIRED;isRequired?this.adapter.addClass(LABEL_REQUIRED):this.adapter.removeClass(LABEL_REQUIRED)},MDCFloatingLabelFoundation.prototype.handleShakeAnimationEnd_=function(){var LABEL_SHAKE=MDCFloatingLabelFoundation.cssClasses.LABEL_SHAKE;this.adapter.removeClass(LABEL_SHAKE)},MDCFloatingLabelFoundation}(MDCFoundation),MDCFloatingLabel=/** @class */function(_super){function MDCFloatingLabel(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCFloatingLabel,_super),MDCFloatingLabel.attachTo=function(root){return new MDCFloatingLabel(root)},MDCFloatingLabel.prototype.shake=function(shouldShake){this.foundation.shake(shouldShake)},MDCFloatingLabel.prototype.float=function(shouldFloat){this.foundation.float(shouldFloat)},MDCFloatingLabel.prototype.setRequired=function(isRequired){this.foundation.setRequired(isRequired)},MDCFloatingLabel.prototype.getWidth=function(){return this.foundation.getWidth()},MDCFloatingLabel.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
// tslint:enable:object-literal-sort-keys
return new MDCFloatingLabelFoundation({addClass:function(className){return _this.root.classList.add(className)},removeClass:function(className){return _this.root.classList.remove(className)},getWidth:function(){return estimateScrollWidth(_this.root)},registerInteractionHandler:function(evtType,handler){return _this.listen(evtType,handler)},deregisterInteractionHandler:function(evtType,handler){return _this.unlisten(evtType,handler)}})},MDCFloatingLabel}(MDCComponent),cssClasses$3={LINE_RIPPLE_ACTIVE:"mdc-line-ripple--active",LINE_RIPPLE_DEACTIVATING:"mdc-line-ripple--deactivating"},MDCLineRippleFoundation=/** @class */function(_super){function MDCLineRippleFoundation(adapter){var _this=_super.call(this,__assign(__assign({},MDCLineRippleFoundation.defaultAdapter),adapter))||this;return _this.transitionEndHandler_=function(evt){return _this.handleTransitionEnd(evt)},_this}return __extends(MDCLineRippleFoundation,_super),Object.defineProperty(MDCLineRippleFoundation,"cssClasses",{get:function(){return cssClasses$3},enumerable:!0,configurable:!0}),Object.defineProperty(MDCLineRippleFoundation,"defaultAdapter",{/**
           * See {@link MDCLineRippleAdapter} for typing information on parameters and return types.
           */get:function(){// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},setStyle:function(){},registerEventHandler:function(){},deregisterEventHandler:function(){}};// tslint:enable:object-literal-sort-keys
},enumerable:!0,configurable:!0}),MDCLineRippleFoundation.prototype.init=function(){this.adapter.registerEventHandler("transitionend",this.transitionEndHandler_)},MDCLineRippleFoundation.prototype.destroy=function(){this.adapter.deregisterEventHandler("transitionend",this.transitionEndHandler_)},MDCLineRippleFoundation.prototype.activate=function(){this.adapter.removeClass(cssClasses$3.LINE_RIPPLE_DEACTIVATING),this.adapter.addClass(cssClasses$3.LINE_RIPPLE_ACTIVE)},MDCLineRippleFoundation.prototype.setRippleCenter=function(xCoordinate){this.adapter.setStyle("transform-origin",xCoordinate+"px center")},MDCLineRippleFoundation.prototype.deactivate=function(){this.adapter.addClass(cssClasses$3.LINE_RIPPLE_DEACTIVATING)},MDCLineRippleFoundation.prototype.handleTransitionEnd=function(evt){// Wait for the line ripple to be either transparent or opaque
// before emitting the animation end event
var isDeactivating=this.adapter.hasClass(cssClasses$3.LINE_RIPPLE_DEACTIVATING);"opacity"===evt.propertyName&&isDeactivating&&(this.adapter.removeClass(cssClasses$3.LINE_RIPPLE_ACTIVE),this.adapter.removeClass(cssClasses$3.LINE_RIPPLE_DEACTIVATING))},MDCLineRippleFoundation}(MDCFoundation),MDCLineRipple=/** @class */function(_super){function MDCLineRipple(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCLineRipple,_super),MDCLineRipple.attachTo=function(root){return new MDCLineRipple(root)},MDCLineRipple.prototype.activate=function(){this.foundation.activate()},MDCLineRipple.prototype.deactivate=function(){this.foundation.deactivate()},MDCLineRipple.prototype.setRippleCenter=function(xCoordinate){this.foundation.setRippleCenter(xCoordinate)},MDCLineRipple.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
// tslint:enable:object-literal-sort-keys
return new MDCLineRippleFoundation({addClass:function(className){return _this.root.classList.add(className)},removeClass:function(className){return _this.root.classList.remove(className)},hasClass:function(className){return _this.root.classList.contains(className)},setStyle:function(propertyName,value){return _this.root.style.setProperty(propertyName,value)},registerEventHandler:function(evtType,handler){return _this.listen(evtType,handler)},deregisterEventHandler:function(evtType,handler){return _this.unlisten(evtType,handler)}})},MDCLineRipple}(MDCComponent),strings$2={NOTCH_ELEMENT_SELECTOR:".mdc-notched-outline__notch"},numbers$2={// This should stay in sync with $mdc-notched-outline-padding * 2.
NOTCH_ELEMENT_PADDING:8},cssClasses$4={NO_LABEL:"mdc-notched-outline--no-label",OUTLINE_NOTCHED:"mdc-notched-outline--notched",OUTLINE_UPGRADED:"mdc-notched-outline--upgraded"},MDCNotchedOutlineFoundation=/** @class */function(_super){function MDCNotchedOutlineFoundation(adapter){return _super.call(this,__assign(__assign({},MDCNotchedOutlineFoundation.defaultAdapter),adapter))||this}return __extends(MDCNotchedOutlineFoundation,_super),Object.defineProperty(MDCNotchedOutlineFoundation,"strings",{get:function(){return strings$2},enumerable:!0,configurable:!0}),Object.defineProperty(MDCNotchedOutlineFoundation,"cssClasses",{get:function(){return cssClasses$4},enumerable:!0,configurable:!0}),Object.defineProperty(MDCNotchedOutlineFoundation,"numbers",{get:function(){return numbers$2},enumerable:!0,configurable:!0}),Object.defineProperty(MDCNotchedOutlineFoundation,"defaultAdapter",{/**
           * See {@link MDCNotchedOutlineAdapter} for typing information on parameters and return types.
           */get:function(){// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{addClass:function(){},removeClass:function(){},setNotchWidthProperty:function(){},removeNotchWidthProperty:function(){}};// tslint:enable:object-literal-sort-keys
},enumerable:!0,configurable:!0}),MDCNotchedOutlineFoundation.prototype.notch=function(notchWidth){var OUTLINE_NOTCHED=MDCNotchedOutlineFoundation.cssClasses.OUTLINE_NOTCHED;0<notchWidth&&(notchWidth+=numbers$2.NOTCH_ELEMENT_PADDING),this.adapter.setNotchWidthProperty(notchWidth),this.adapter.addClass(OUTLINE_NOTCHED)},MDCNotchedOutlineFoundation.prototype.closeNotch=function(){var OUTLINE_NOTCHED=MDCNotchedOutlineFoundation.cssClasses.OUTLINE_NOTCHED;this.adapter.removeClass(OUTLINE_NOTCHED),this.adapter.removeNotchWidthProperty()},MDCNotchedOutlineFoundation}(MDCFoundation),MDCNotchedOutline=/** @class */function(_super){function MDCNotchedOutline(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCNotchedOutline,_super),MDCNotchedOutline.attachTo=function(root){return new MDCNotchedOutline(root)},MDCNotchedOutline.prototype.initialSyncWithDOM=function(){this.notchElement_=this.root.querySelector(strings$2.NOTCH_ELEMENT_SELECTOR);var label=this.root.querySelector("."+MDCFloatingLabelFoundation.cssClasses.ROOT);label?(label.style.transitionDuration="0s",this.root.classList.add(cssClasses$4.OUTLINE_UPGRADED),requestAnimationFrame(function(){label.style.transitionDuration=""})):this.root.classList.add(cssClasses$4.NO_LABEL)},MDCNotchedOutline.prototype.notch=function(notchWidth){this.foundation.notch(notchWidth)},MDCNotchedOutline.prototype.closeNotch=function(){this.foundation.closeNotch()},MDCNotchedOutline.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
// tslint:enable:object-literal-sort-keys
return new MDCNotchedOutlineFoundation({addClass:function(className){return _this.root.classList.add(className)},removeClass:function(className){return _this.root.classList.remove(className)},setNotchWidthProperty:function(width){return _this.notchElement_.style.setProperty("width",width+"px")},removeNotchWidthProperty:function(){return _this.notchElement_.style.removeProperty("width")}})},MDCNotchedOutline}(MDCComponent),cssClasses$5={ROOT:"mdc-text-field-character-counter"},strings$3={ROOT_SELECTOR:"."+cssClasses$5.ROOT},MDCTextFieldCharacterCounterFoundation=/** @class */function(_super){function MDCTextFieldCharacterCounterFoundation(adapter){return _super.call(this,__assign(__assign({},MDCTextFieldCharacterCounterFoundation.defaultAdapter),adapter))||this}return __extends(MDCTextFieldCharacterCounterFoundation,_super),Object.defineProperty(MDCTextFieldCharacterCounterFoundation,"cssClasses",{get:function(){return cssClasses$5},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldCharacterCounterFoundation,"strings",{get:function(){return strings$3},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldCharacterCounterFoundation,"defaultAdapter",{/**
           * See {@link MDCTextFieldCharacterCounterAdapter} for typing information on parameters and return types.
           */get:function(){return{setContent:function(){}}},enumerable:!0,configurable:!0}),MDCTextFieldCharacterCounterFoundation.prototype.setCounterValue=function(currentLength,maxLength){currentLength=_Mathmin(currentLength,maxLength),this.adapter.setContent(currentLength+" / "+maxLength)},MDCTextFieldCharacterCounterFoundation}(MDCFoundation),MDCTextFieldCharacterCounter=/** @class */function(_super){function MDCTextFieldCharacterCounter(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCTextFieldCharacterCounter,_super),MDCTextFieldCharacterCounter.attachTo=function(root){return new MDCTextFieldCharacterCounter(root)},Object.defineProperty(MDCTextFieldCharacterCounter.prototype,"foundationForTextField",{// Provided for access by MDCTextField component
get:function(){return this.foundation},enumerable:!0,configurable:!0}),MDCTextFieldCharacterCounter.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
return new MDCTextFieldCharacterCounterFoundation({setContent:function(content){_this.root.textContent=content}})},MDCTextFieldCharacterCounter}(MDCComponent),strings$4={ARIA_CONTROLS:"aria-controls",ARIA_DESCRIBEDBY:"aria-describedby",INPUT_SELECTOR:".mdc-text-field__input",LABEL_SELECTOR:".mdc-floating-label",LEADING_ICON_SELECTOR:".mdc-text-field__icon--leading",LINE_RIPPLE_SELECTOR:".mdc-line-ripple",OUTLINE_SELECTOR:".mdc-notched-outline",PREFIX_SELECTOR:".mdc-text-field__affix--prefix",SUFFIX_SELECTOR:".mdc-text-field__affix--suffix",TRAILING_ICON_SELECTOR:".mdc-text-field__icon--trailing"},cssClasses$6={DISABLED:"mdc-text-field--disabled",FOCUSED:"mdc-text-field--focused",HELPER_LINE:"mdc-text-field-helper-line",INVALID:"mdc-text-field--invalid",LABEL_FLOATING:"mdc-text-field--label-floating",NO_LABEL:"mdc-text-field--no-label",OUTLINED:"mdc-text-field--outlined",ROOT:"mdc-text-field",TEXTAREA:"mdc-text-field--textarea",WITH_LEADING_ICON:"mdc-text-field--with-leading-icon",WITH_TRAILING_ICON:"mdc-text-field--with-trailing-icon"},numbers$3={LABEL_SCALE:.75},VALIDATION_ATTR_WHITELIST=["pattern","min","max","required","step","minlength","maxlength"],ALWAYS_FLOAT_TYPES=["color","date","datetime-local","month","range","time","week"],POINTERDOWN_EVENTS=["mousedown","touchstart"],INTERACTION_EVENTS=["click","keydown"],MDCTextFieldFoundation=/** @class */function(_super){/**
       * @param adapter
       * @param foundationMap Map from subcomponent names to their subfoundations.
       */function MDCTextFieldFoundation(adapter,foundationMap){void 0===foundationMap&&(foundationMap={});var _this=_super.call(this,__assign(__assign({},MDCTextFieldFoundation.defaultAdapter),adapter))||this;return _this.isFocused_=!1,_this.receivedUserInput_=!1,_this.isValid_=!0,_this.useNativeValidation_=!0,_this.validateOnValueChange_=!0,_this.helperText_=foundationMap.helperText,_this.characterCounter_=foundationMap.characterCounter,_this.leadingIcon_=foundationMap.leadingIcon,_this.trailingIcon_=foundationMap.trailingIcon,_this.inputFocusHandler_=function(){return _this.activateFocus()},_this.inputBlurHandler_=function(){return _this.deactivateFocus()},_this.inputInputHandler_=function(){return _this.handleInput()},_this.setPointerXOffset_=function(evt){return _this.setTransformOrigin(evt)},_this.textFieldInteractionHandler_=function(){return _this.handleTextFieldInteraction()},_this.validationAttributeChangeHandler_=function(attributesList){return _this.handleValidationAttributeChange(attributesList)},_this}return __extends(MDCTextFieldFoundation,_super),Object.defineProperty(MDCTextFieldFoundation,"cssClasses",{get:function(){return cssClasses$6},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldFoundation,"strings",{get:function(){return strings$4},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldFoundation,"numbers",{get:function(){return numbers$3},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldFoundation.prototype,"shouldAlwaysFloat_",{get:function(){var type=this.getNativeInput_().type;return 0<=ALWAYS_FLOAT_TYPES.indexOf(type)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldFoundation.prototype,"shouldFloat",{get:function(){return this.shouldAlwaysFloat_||this.isFocused_||!!this.getValue()||this.isBadInput_()},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldFoundation.prototype,"shouldShake",{get:function(){return!this.isFocused_&&!this.isValid()&&!!this.getValue()},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldFoundation,"defaultAdapter",{/**
           * See {@link MDCTextFieldAdapter} for typing information on parameters and
           * return types.
           */get:function(){// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{addClass:function(){},removeClass:function(){},hasClass:function(){return!0},setInputAttr:function(){},removeInputAttr:function(){},registerTextFieldInteractionHandler:function(){},deregisterTextFieldInteractionHandler:function(){},registerInputInteractionHandler:function(){},deregisterInputInteractionHandler:function(){},registerValidationAttributeChangeHandler:function(){return new MutationObserver(function(){})},deregisterValidationAttributeChangeHandler:function(){},getNativeInput:function(){return null},isFocused:function(){return!1},activateLineRipple:function(){},deactivateLineRipple:function(){},setLineRippleTransformOrigin:function(){},shakeLabel:function(){},floatLabel:function(){},setLabelRequired:function(){},hasLabel:function(){return!1},getLabelWidth:function(){return 0},hasOutline:function(){return!1},notchOutline:function(){},closeOutline:function(){}};// tslint:enable:object-literal-sort-keys
},enumerable:!0,configurable:!0}),MDCTextFieldFoundation.prototype.init=function(){var _this=this;this.adapter.hasLabel()&&this.getNativeInput_().required&&this.adapter.setLabelRequired(!0),this.adapter.isFocused()?this.inputFocusHandler_():this.adapter.hasLabel()&&this.shouldFloat&&(this.notchOutline(!0),this.adapter.floatLabel(!0),this.styleFloating_(!0)),this.adapter.registerInputInteractionHandler("focus",this.inputFocusHandler_),this.adapter.registerInputInteractionHandler("blur",this.inputBlurHandler_),this.adapter.registerInputInteractionHandler("input",this.inputInputHandler_),POINTERDOWN_EVENTS.forEach(function(evtType){_this.adapter.registerInputInteractionHandler(evtType,_this.setPointerXOffset_)}),INTERACTION_EVENTS.forEach(function(evtType){_this.adapter.registerTextFieldInteractionHandler(evtType,_this.textFieldInteractionHandler_)}),this.validationObserver_=this.adapter.registerValidationAttributeChangeHandler(this.validationAttributeChangeHandler_),this.setCharacterCounter_(this.getValue().length)},MDCTextFieldFoundation.prototype.destroy=function(){var _this=this;this.adapter.deregisterInputInteractionHandler("focus",this.inputFocusHandler_),this.adapter.deregisterInputInteractionHandler("blur",this.inputBlurHandler_),this.adapter.deregisterInputInteractionHandler("input",this.inputInputHandler_),POINTERDOWN_EVENTS.forEach(function(evtType){_this.adapter.deregisterInputInteractionHandler(evtType,_this.setPointerXOffset_)}),INTERACTION_EVENTS.forEach(function(evtType){_this.adapter.deregisterTextFieldInteractionHandler(evtType,_this.textFieldInteractionHandler_)}),this.adapter.deregisterValidationAttributeChangeHandler(this.validationObserver_)},MDCTextFieldFoundation.prototype.handleTextFieldInteraction=function(){var nativeInput=this.adapter.getNativeInput();nativeInput&&nativeInput.disabled||(this.receivedUserInput_=!0)},MDCTextFieldFoundation.prototype.handleValidationAttributeChange=function(attributesList){var _this=this;attributesList.some(function(attributeName){return!!(-1<VALIDATION_ATTR_WHITELIST.indexOf(attributeName))&&(_this.styleValidity_(!0),_this.adapter.setLabelRequired(_this.getNativeInput_().required),!0)}),-1<attributesList.indexOf("maxlength")&&this.setCharacterCounter_(this.getValue().length)},MDCTextFieldFoundation.prototype.notchOutline=function(openNotch){if(this.adapter.hasOutline()&&this.adapter.hasLabel())if(openNotch){var labelWidth=this.adapter.getLabelWidth()*numbers$3.LABEL_SCALE;this.adapter.notchOutline(labelWidth)}else this.adapter.closeOutline()},MDCTextFieldFoundation.prototype.activateFocus=function(){this.isFocused_=!0,this.styleFocused_(this.isFocused_),this.adapter.activateLineRipple(),this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating_(this.shouldFloat),this.adapter.shakeLabel(this.shouldShake)),this.helperText_&&(this.helperText_.isPersistent()||!this.helperText_.isValidation()||!this.isValid_)&&this.helperText_.showToScreenReader()},MDCTextFieldFoundation.prototype.setTransformOrigin=function(evt){if(!(this.isDisabled()||this.adapter.hasOutline())){var touches=evt.touches,targetEvent=touches?touches[0]:evt,targetClientRect=targetEvent.target.getBoundingClientRect(),normalizedX=targetEvent.clientX-targetClientRect.left;this.adapter.setLineRippleTransformOrigin(normalizedX)}},MDCTextFieldFoundation.prototype.handleInput=function(){this.autoCompleteFocus(),this.setCharacterCounter_(this.getValue().length)},MDCTextFieldFoundation.prototype.autoCompleteFocus=function(){this.receivedUserInput_||this.activateFocus()},MDCTextFieldFoundation.prototype.deactivateFocus=function(){this.isFocused_=!1,this.adapter.deactivateLineRipple();var isValid=this.isValid();this.styleValidity_(isValid),this.styleFocused_(this.isFocused_),this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating_(this.shouldFloat),this.adapter.shakeLabel(this.shouldShake)),this.shouldFloat||(this.receivedUserInput_=!1)},MDCTextFieldFoundation.prototype.getValue=function(){return this.getNativeInput_().value},MDCTextFieldFoundation.prototype.setValue=function(value){if(this.getValue()!==value&&(this.getNativeInput_().value=value),this.setCharacterCounter_(value.length),this.validateOnValueChange_){var isValid=this.isValid();this.styleValidity_(isValid)}this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating_(this.shouldFloat),this.validateOnValueChange_&&this.adapter.shakeLabel(this.shouldShake))},MDCTextFieldFoundation.prototype.isValid=function(){return this.useNativeValidation_?this.isNativeInputValid_():this.isValid_},MDCTextFieldFoundation.prototype.setValid=function(isValid){this.isValid_=isValid,this.styleValidity_(isValid);var shouldShake=!isValid&&!this.isFocused_&&!!this.getValue();this.adapter.hasLabel()&&this.adapter.shakeLabel(shouldShake)},MDCTextFieldFoundation.prototype.setValidateOnValueChange=function(shouldValidate){this.validateOnValueChange_=shouldValidate},MDCTextFieldFoundation.prototype.getValidateOnValueChange=function(){return this.validateOnValueChange_},MDCTextFieldFoundation.prototype.setUseNativeValidation=function(useNativeValidation){this.useNativeValidation_=useNativeValidation},MDCTextFieldFoundation.prototype.isDisabled=function(){return this.getNativeInput_().disabled},MDCTextFieldFoundation.prototype.setDisabled=function(disabled){this.getNativeInput_().disabled=disabled,this.styleDisabled_(disabled)},MDCTextFieldFoundation.prototype.setHelperTextContent=function(content){this.helperText_&&this.helperText_.setContent(content)},MDCTextFieldFoundation.prototype.setLeadingIconAriaLabel=function(label){this.leadingIcon_&&this.leadingIcon_.setAriaLabel(label)},MDCTextFieldFoundation.prototype.setLeadingIconContent=function(content){this.leadingIcon_&&this.leadingIcon_.setContent(content)},MDCTextFieldFoundation.prototype.setTrailingIconAriaLabel=function(label){this.trailingIcon_&&this.trailingIcon_.setAriaLabel(label)},MDCTextFieldFoundation.prototype.setTrailingIconContent=function(content){this.trailingIcon_&&this.trailingIcon_.setContent(content)},MDCTextFieldFoundation.prototype.setCharacterCounter_=function(currentLength){if(this.characterCounter_){var maxLength=this.getNativeInput_().maxLength;if(-1===maxLength)throw new Error("MDCTextFieldFoundation: Expected maxlength html property on text input or textarea.");this.characterCounter_.setCounterValue(currentLength,maxLength)}},MDCTextFieldFoundation.prototype.isBadInput_=function(){// The badInput property is not supported in IE 11 💩.
return this.getNativeInput_().validity.badInput||!1},MDCTextFieldFoundation.prototype.isNativeInputValid_=function(){return this.getNativeInput_().validity.valid},MDCTextFieldFoundation.prototype.styleValidity_=function(isValid){var INVALID=MDCTextFieldFoundation.cssClasses.INVALID;if(isValid?this.adapter.removeClass(INVALID):this.adapter.addClass(INVALID),this.helperText_){this.helperText_.setValidity(isValid);// We dynamically set or unset aria-describedby for validation helper text
// only, based on whether the field is valid
var helperTextValidation=this.helperText_.isValidation();if(!helperTextValidation)return;var helperTextVisible=this.helperText_.isVisible(),helperTextId=this.helperText_.getId();helperTextVisible&&helperTextId?this.adapter.setInputAttr(strings$4.ARIA_DESCRIBEDBY,helperTextId):this.adapter.removeInputAttr(strings$4.ARIA_DESCRIBEDBY)}},MDCTextFieldFoundation.prototype.styleFocused_=function(isFocused){var FOCUSED=MDCTextFieldFoundation.cssClasses.FOCUSED;isFocused?this.adapter.addClass(FOCUSED):this.adapter.removeClass(FOCUSED)},MDCTextFieldFoundation.prototype.styleDisabled_=function(isDisabled){var _a=MDCTextFieldFoundation.cssClasses,DISABLED=_a.DISABLED,INVALID=_a.INVALID;isDisabled?(this.adapter.addClass(DISABLED),this.adapter.removeClass(INVALID)):this.adapter.removeClass(DISABLED),this.leadingIcon_&&this.leadingIcon_.setDisabled(isDisabled),this.trailingIcon_&&this.trailingIcon_.setDisabled(isDisabled)},MDCTextFieldFoundation.prototype.styleFloating_=function(isFloating){var LABEL_FLOATING=MDCTextFieldFoundation.cssClasses.LABEL_FLOATING;isFloating?this.adapter.addClass(LABEL_FLOATING):this.adapter.removeClass(LABEL_FLOATING)},MDCTextFieldFoundation.prototype.getNativeInput_=function(){// this.adapter may be undefined in foundation unit tests. This happens when
// testdouble is creating a mock object and invokes the
// shouldShake/shouldFloat getters (which in turn call getValue(), which
// calls this method) before init() has been called from the MDCTextField
// constructor. To work around that issue, we return a dummy object.
var nativeInput=this.adapter?this.adapter.getNativeInput():null;return nativeInput||{disabled:!1,maxLength:-1,required:!1,type:"input",validity:{badInput:!1,valid:!0},value:""}},MDCTextFieldFoundation}(MDCFoundation),cssClasses$7={HELPER_TEXT_PERSISTENT:"mdc-text-field-helper-text--persistent",HELPER_TEXT_VALIDATION_MSG:"mdc-text-field-helper-text--validation-msg",ROOT:"mdc-text-field-helper-text"},strings$5={ARIA_HIDDEN:"aria-hidden",ROLE:"role",ROOT_SELECTOR:"."+cssClasses$7.ROOT},MDCTextFieldHelperTextFoundation=/** @class */function(_super){function MDCTextFieldHelperTextFoundation(adapter){return _super.call(this,__assign(__assign({},MDCTextFieldHelperTextFoundation.defaultAdapter),adapter))||this}return __extends(MDCTextFieldHelperTextFoundation,_super),Object.defineProperty(MDCTextFieldHelperTextFoundation,"cssClasses",{get:function(){return cssClasses$7},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldHelperTextFoundation,"strings",{get:function(){return strings$5},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldHelperTextFoundation,"defaultAdapter",{/**
           * See {@link MDCTextFieldHelperTextAdapter} for typing information on parameters and return types.
           */get:function(){// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},getAttr:function(){return null},setAttr:function(){},removeAttr:function(){},setContent:function(){}};// tslint:enable:object-literal-sort-keys
},enumerable:!0,configurable:!0}),MDCTextFieldHelperTextFoundation.prototype.getId=function(){return this.adapter.getAttr("id")},MDCTextFieldHelperTextFoundation.prototype.isVisible=function(){return"true"!==this.adapter.getAttr(strings$5.ARIA_HIDDEN)},MDCTextFieldHelperTextFoundation.prototype.setContent=function(content){this.adapter.setContent(content)},MDCTextFieldHelperTextFoundation.prototype.isPersistent=function(){return this.adapter.hasClass(cssClasses$7.HELPER_TEXT_PERSISTENT)},MDCTextFieldHelperTextFoundation.prototype.setPersistent=function(isPersistent){isPersistent?this.adapter.addClass(cssClasses$7.HELPER_TEXT_PERSISTENT):this.adapter.removeClass(cssClasses$7.HELPER_TEXT_PERSISTENT)},MDCTextFieldHelperTextFoundation.prototype.isValidation=function(){return this.adapter.hasClass(cssClasses$7.HELPER_TEXT_VALIDATION_MSG)},MDCTextFieldHelperTextFoundation.prototype.setValidation=function(isValidation){isValidation?this.adapter.addClass(cssClasses$7.HELPER_TEXT_VALIDATION_MSG):this.adapter.removeClass(cssClasses$7.HELPER_TEXT_VALIDATION_MSG)},MDCTextFieldHelperTextFoundation.prototype.showToScreenReader=function(){this.adapter.removeAttr(strings$5.ARIA_HIDDEN)},MDCTextFieldHelperTextFoundation.prototype.setValidity=function(inputIsValid){var helperTextIsPersistent=this.adapter.hasClass(cssClasses$7.HELPER_TEXT_PERSISTENT),helperTextIsValidationMsg=this.adapter.hasClass(cssClasses$7.HELPER_TEXT_VALIDATION_MSG),validationMsgNeedsDisplay=helperTextIsValidationMsg&&!inputIsValid;validationMsgNeedsDisplay?(this.showToScreenReader(),this.adapter.setAttr(strings$5.ROLE,"alert")):this.adapter.removeAttr(strings$5.ROLE),helperTextIsPersistent||validationMsgNeedsDisplay||this.hide_()},MDCTextFieldHelperTextFoundation.prototype.hide_=function(){this.adapter.setAttr(strings$5.ARIA_HIDDEN,"true")},MDCTextFieldHelperTextFoundation}(MDCFoundation),MDCTextFieldHelperText=/** @class */function(_super){function MDCTextFieldHelperText(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCTextFieldHelperText,_super),MDCTextFieldHelperText.attachTo=function(root){return new MDCTextFieldHelperText(root)},Object.defineProperty(MDCTextFieldHelperText.prototype,"foundationForTextField",{// Provided for access by MDCTextField component
get:function(){return this.foundation},enumerable:!0,configurable:!0}),MDCTextFieldHelperText.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
// tslint:enable:object-literal-sort-keys
return new MDCTextFieldHelperTextFoundation({addClass:function(className){return _this.root.classList.add(className)},removeClass:function(className){return _this.root.classList.remove(className)},hasClass:function(className){return _this.root.classList.contains(className)},getAttr:function(attr){return _this.root.getAttribute(attr)},setAttr:function(attr,value){return _this.root.setAttribute(attr,value)},removeAttr:function(attr){return _this.root.removeAttribute(attr)},setContent:function(content){_this.root.textContent=content}})},MDCTextFieldHelperText}(MDCComponent),strings$6={ICON_EVENT:"MDCTextField:icon",ICON_ROLE:"button"},cssClasses$8={ROOT:"mdc-text-field__icon"},INTERACTION_EVENTS$1=["click","keydown"],MDCTextFieldIconFoundation=/** @class */function(_super){function MDCTextFieldIconFoundation(adapter){var _this=_super.call(this,__assign(__assign({},MDCTextFieldIconFoundation.defaultAdapter),adapter))||this;return _this.savedTabIndex_=null,_this.interactionHandler_=function(evt){return _this.handleInteraction(evt)},_this}return __extends(MDCTextFieldIconFoundation,_super),Object.defineProperty(MDCTextFieldIconFoundation,"strings",{get:function(){return strings$6},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldIconFoundation,"cssClasses",{get:function(){return cssClasses$8},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextFieldIconFoundation,"defaultAdapter",{/**
           * See {@link MDCTextFieldIconAdapter} for typing information on parameters and return types.
           */get:function(){// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{getAttr:function(){return null},setAttr:function(){},removeAttr:function(){},setContent:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},notifyIconAction:function(){}};// tslint:enable:object-literal-sort-keys
},enumerable:!0,configurable:!0}),MDCTextFieldIconFoundation.prototype.init=function(){var _this=this;this.savedTabIndex_=this.adapter.getAttr("tabindex"),INTERACTION_EVENTS$1.forEach(function(evtType){_this.adapter.registerInteractionHandler(evtType,_this.interactionHandler_)})},MDCTextFieldIconFoundation.prototype.destroy=function(){var _this=this;INTERACTION_EVENTS$1.forEach(function(evtType){_this.adapter.deregisterInteractionHandler(evtType,_this.interactionHandler_)})},MDCTextFieldIconFoundation.prototype.setDisabled=function(disabled){this.savedTabIndex_&&(disabled?(this.adapter.setAttr("tabindex","-1"),this.adapter.removeAttr("role")):(this.adapter.setAttr("tabindex",this.savedTabIndex_),this.adapter.setAttr("role",strings$6.ICON_ROLE)))},MDCTextFieldIconFoundation.prototype.setAriaLabel=function(label){this.adapter.setAttr("aria-label",label)},MDCTextFieldIconFoundation.prototype.setContent=function(content){this.adapter.setContent(content)},MDCTextFieldIconFoundation.prototype.handleInteraction=function(evt){var isEnterKey="Enter"===evt.key||13===evt.keyCode;("click"===evt.type||isEnterKey)&&(evt.preventDefault(),this.adapter.notifyIconAction())},MDCTextFieldIconFoundation}(MDCFoundation),MDCTextFieldIcon=/** @class */function(_super){function MDCTextFieldIcon(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCTextFieldIcon,_super),MDCTextFieldIcon.attachTo=function(root){return new MDCTextFieldIcon(root)},Object.defineProperty(MDCTextFieldIcon.prototype,"foundationForTextField",{// Provided for access by MDCTextField component
get:function(){return this.foundation},enumerable:!0,configurable:!0}),MDCTextFieldIcon.prototype.getDefaultFoundation=function(){var _this=this;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
// tslint:enable:object-literal-sort-keys
return new MDCTextFieldIconFoundation({getAttr:function(attr){return _this.root.getAttribute(attr)},setAttr:function(attr,value){return _this.root.setAttribute(attr,value)},removeAttr:function(attr){return _this.root.removeAttribute(attr)},setContent:function(content){_this.root.textContent=content},registerInteractionHandler:function(evtType,handler){return _this.listen(evtType,handler)},deregisterInteractionHandler:function(evtType,handler){return _this.unlisten(evtType,handler)},notifyIconAction:function(){return _this.emit(MDCTextFieldIconFoundation.strings.ICON_EVENT,{},!0)}})},MDCTextFieldIcon}(MDCComponent),MDCTextField=/** @class */function(_super){function MDCTextField(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(MDCTextField,_super),MDCTextField.attachTo=function(root){return new MDCTextField(root)},MDCTextField.prototype.initialize=function(rippleFactory,lineRippleFactory,helperTextFactory,characterCounterFactory,iconFactory,labelFactory,outlineFactory){void 0===rippleFactory&&(rippleFactory=function(el,foundation){return new MDCRipple(el,foundation)}),void 0===lineRippleFactory&&(lineRippleFactory=function(el){return new MDCLineRipple(el)}),void 0===helperTextFactory&&(helperTextFactory=function(el){return new MDCTextFieldHelperText(el)}),void 0===characterCounterFactory&&(characterCounterFactory=function(el){return new MDCTextFieldCharacterCounter(el)}),void 0===iconFactory&&(iconFactory=function(el){return new MDCTextFieldIcon(el)}),void 0===labelFactory&&(labelFactory=function(el){return new MDCFloatingLabel(el)}),void 0===outlineFactory&&(outlineFactory=function(el){return new MDCNotchedOutline(el)}),this.input_=this.root.querySelector(strings$4.INPUT_SELECTOR);var labelElement=this.root.querySelector(strings$4.LABEL_SELECTOR);this.label_=labelElement?labelFactory(labelElement):null;var lineRippleElement=this.root.querySelector(strings$4.LINE_RIPPLE_SELECTOR);this.lineRipple_=lineRippleElement?lineRippleFactory(lineRippleElement):null;var outlineElement=this.root.querySelector(strings$4.OUTLINE_SELECTOR);this.outline_=outlineElement?outlineFactory(outlineElement):null;// Helper text
var helperTextStrings=MDCTextFieldHelperTextFoundation.strings,nextElementSibling=this.root.nextElementSibling,hasHelperLine=nextElementSibling&&nextElementSibling.classList.contains(cssClasses$6.HELPER_LINE),helperTextEl=hasHelperLine&&nextElementSibling&&nextElementSibling.querySelector(helperTextStrings.ROOT_SELECTOR);this.helperText_=helperTextEl?helperTextFactory(helperTextEl):null;// Character counter
var characterCounterStrings=MDCTextFieldCharacterCounterFoundation.strings,characterCounterEl=this.root.querySelector(characterCounterStrings.ROOT_SELECTOR);!characterCounterEl&&hasHelperLine&&nextElementSibling&&(characterCounterEl=nextElementSibling.querySelector(characterCounterStrings.ROOT_SELECTOR)),this.characterCounter_=characterCounterEl?characterCounterFactory(characterCounterEl):null;// Leading icon
var leadingIconEl=this.root.querySelector(strings$4.LEADING_ICON_SELECTOR);this.leadingIcon_=leadingIconEl?iconFactory(leadingIconEl):null;// Trailing icon
var trailingIconEl=this.root.querySelector(strings$4.TRAILING_ICON_SELECTOR);this.trailingIcon_=trailingIconEl?iconFactory(trailingIconEl):null,this.prefix_=this.root.querySelector(strings$4.PREFIX_SELECTOR),this.suffix_=this.root.querySelector(strings$4.SUFFIX_SELECTOR),this.ripple=this.createRipple_(rippleFactory)},MDCTextField.prototype.destroy=function(){this.ripple&&this.ripple.destroy(),this.lineRipple_&&this.lineRipple_.destroy(),this.helperText_&&this.helperText_.destroy(),this.characterCounter_&&this.characterCounter_.destroy(),this.leadingIcon_&&this.leadingIcon_.destroy(),this.trailingIcon_&&this.trailingIcon_.destroy(),this.label_&&this.label_.destroy(),this.outline_&&this.outline_.destroy(),_super.prototype.destroy.call(this)},MDCTextField.prototype.initialSyncWithDOM=function(){this.disabled=this.input_.disabled},Object.defineProperty(MDCTextField.prototype,"value",{get:function(){return this.foundation.getValue()},/**
           * @param value The value to set on the input.
           */set:function(value){this.foundation.setValue(value)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"disabled",{get:function(){return this.foundation.isDisabled()},/**
           * @param disabled Sets the Text Field disabled or enabled.
           */set:function(disabled){this.foundation.setDisabled(disabled)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"valid",{get:function(){return this.foundation.isValid()},/**
           * @param valid Sets the Text Field valid or invalid.
           */set:function(valid){this.foundation.setValid(valid)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"required",{get:function(){return this.input_.required},/**
           * @param required Sets the Text Field to required.
           */set:function(required){this.input_.required=required},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"pattern",{get:function(){return this.input_.pattern},/**
           * @param pattern Sets the input element's validation pattern.
           */set:function(pattern){this.input_.pattern=pattern},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"minLength",{get:function(){return this.input_.minLength},/**
           * @param minLength Sets the input element's minLength.
           */set:function(minLength){this.input_.minLength=minLength},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"maxLength",{get:function(){return this.input_.maxLength},/**
           * @param maxLength Sets the input element's maxLength.
           */set:function(maxLength){0>maxLength?this.input_.removeAttribute("maxLength"):this.input_.maxLength=maxLength},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"min",{get:function(){return this.input_.min},/**
           * @param min Sets the input element's min.
           */set:function(min){this.input_.min=min},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"max",{get:function(){return this.input_.max},/**
           * @param max Sets the input element's max.
           */set:function(max){this.input_.max=max},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"step",{get:function(){return this.input_.step},/**
           * @param step Sets the input element's step.
           */set:function(step){this.input_.step=step},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"helperTextContent",{/**
           * Sets the helper text element content.
           */set:function(content){this.foundation.setHelperTextContent(content)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"leadingIconAriaLabel",{/**
           * Sets the aria label of the leading icon.
           */set:function(label){this.foundation.setLeadingIconAriaLabel(label)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"leadingIconContent",{/**
           * Sets the text content of the leading icon.
           */set:function(content){this.foundation.setLeadingIconContent(content)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"trailingIconAriaLabel",{/**
           * Sets the aria label of the trailing icon.
           */set:function(label){this.foundation.setTrailingIconAriaLabel(label)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"trailingIconContent",{/**
           * Sets the text content of the trailing icon.
           */set:function(content){this.foundation.setTrailingIconContent(content)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"useNativeValidation",{/**
           * Enables or disables the use of native validation. Use this for custom validation.
           * @param useNativeValidation Set this to false to ignore native input validation.
           */set:function(useNativeValidation){this.foundation.setUseNativeValidation(useNativeValidation)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"prefixText",{/**
           * Gets the text content of the prefix, or null if it does not exist.
           */get:function(){return this.prefix_?this.prefix_.textContent:null},/**
           * Sets the text content of the prefix, if it exists.
           */set:function(prefixText){this.prefix_&&(this.prefix_.textContent=prefixText)},enumerable:!0,configurable:!0}),Object.defineProperty(MDCTextField.prototype,"suffixText",{/**
           * Gets the text content of the suffix, or null if it does not exist.
           */get:function(){return this.suffix_?this.suffix_.textContent:null},/**
           * Sets the text content of the suffix, if it exists.
           */set:function(suffixText){this.suffix_&&(this.suffix_.textContent=suffixText)},enumerable:!0,configurable:!0}),MDCTextField.prototype.focus=function(){this.input_.focus()},MDCTextField.prototype.layout=function(){var openNotch=this.foundation.shouldFloat;this.foundation.notchOutline(openNotch)},MDCTextField.prototype.getDefaultFoundation=function(){// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
var adapter=__assign(__assign(__assign(__assign(__assign({},this.getRootAdapterMethods_()),this.getInputAdapterMethods_()),this.getLabelAdapterMethods_()),this.getLineRippleAdapterMethods_()),this.getOutlineAdapterMethods_());// tslint:enable:object-literal-sort-keys
return new MDCTextFieldFoundation(adapter,this.getFoundationMap_())},MDCTextField.prototype.getRootAdapterMethods_=function(){var _this=this;// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{addClass:function(className){return _this.root.classList.add(className)},removeClass:function(className){return _this.root.classList.remove(className)},hasClass:function(className){return _this.root.classList.contains(className)},registerTextFieldInteractionHandler:function(evtType,handler){_this.listen(evtType,handler)},deregisterTextFieldInteractionHandler:function(evtType,handler){_this.unlisten(evtType,handler)},registerValidationAttributeChangeHandler:function(handler){var getAttributesList=function(mutationsList){return mutationsList.map(function(mutation){return mutation.attributeName}).filter(function(attributeName){return attributeName})},observer=new MutationObserver(function(mutationsList){return handler(getAttributesList(mutationsList))});return observer.observe(_this.input_,{attributes:!0}),observer},deregisterValidationAttributeChangeHandler:function(observer){observer.disconnect()}};// tslint:enable:object-literal-sort-keys
},MDCTextField.prototype.getInputAdapterMethods_=function(){var _this=this;// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
return{getNativeInput:function(){return _this.input_},setInputAttr:function(attr,value){_this.input_.setAttribute(attr,value)},removeInputAttr:function(attr){_this.input_.removeAttribute(attr)},isFocused:function(){return document.activeElement===_this.input_},registerInputInteractionHandler:function(evtType,handler){_this.input_.addEventListener(evtType,handler,applyPassive())},deregisterInputInteractionHandler:function(evtType,handler){_this.input_.removeEventListener(evtType,handler,applyPassive())}};// tslint:enable:object-literal-sort-keys
},MDCTextField.prototype.getLabelAdapterMethods_=function(){var _this=this;return{floatLabel:function(shouldFloat){return _this.label_&&_this.label_.float(shouldFloat)},getLabelWidth:function(){return _this.label_?_this.label_.getWidth():0},hasLabel:function(){return!!_this.label_},shakeLabel:function(shouldShake){return _this.label_&&_this.label_.shake(shouldShake)},setLabelRequired:function(isRequired){return _this.label_&&_this.label_.setRequired(isRequired)}}},MDCTextField.prototype.getLineRippleAdapterMethods_=function(){var _this=this;return{activateLineRipple:function(){_this.lineRipple_&&_this.lineRipple_.activate()},deactivateLineRipple:function(){_this.lineRipple_&&_this.lineRipple_.deactivate()},setLineRippleTransformOrigin:function(normalizedX){_this.lineRipple_&&_this.lineRipple_.setRippleCenter(normalizedX)}}},MDCTextField.prototype.getOutlineAdapterMethods_=function(){var _this=this;return{closeOutline:function(){return _this.outline_&&_this.outline_.closeNotch()},hasOutline:function(){return!!_this.outline_},notchOutline:function(labelWidth){return _this.outline_&&_this.outline_.notch(labelWidth)}}},MDCTextField.prototype.getFoundationMap_=function(){return{characterCounter:this.characterCounter_?this.characterCounter_.foundationForTextField:void 0,helperText:this.helperText_?this.helperText_.foundationForTextField:void 0,leadingIcon:this.leadingIcon_?this.leadingIcon_.foundationForTextField:void 0,trailingIcon:this.trailingIcon_?this.trailingIcon_.foundationForTextField:void 0}},MDCTextField.prototype.createRipple_=function(rippleFactory){var _this=this,isTextArea=this.root.classList.contains(cssClasses$6.TEXTAREA),isOutlined=this.root.classList.contains(cssClasses$6.OUTLINED);if(isTextArea||isOutlined)return null;// DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
// To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
// tslint:disable:object-literal-sort-keys Methods should be in the same order as the adapter interface.
var adapter=__assign(__assign({},MDCRipple.createAdapter(this)),{isSurfaceActive:function(){return matches(_this.input_,":active")},registerInteractionHandler:function(evtType,handler){return _this.input_.addEventListener(evtType,handler,applyPassive())},deregisterInteractionHandler:function(evtType,handler){return _this.input_.removeEventListener(evtType,handler,applyPassive())}});// tslint:enable:object-literal-sort-keys
return rippleFactory(this.root,new MDCRippleFoundation(adapter))},MDCTextField}(MDCComponent);/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Permission is hereby granted, free of charge, to any person obtaining a copy
   * of this software and associated documentation files (the "Software"), to deal
   * in the Software without restriction, including without limitation the rights
   * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
   * copies of the Software, and to permit persons to whom the Software is
   * furnished to do so, subject to the following conditions:
   *
   * The above copyright notice and this permission notice shall be included in
   * all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   * THE SOFTWARE.
   */const _tmpl$$1=template(`<div class="mdc-text-field-helper-line"><div class="mdc-text-field-helper-text mdc-text-field-helper-text--persistent"></div></div>`,4),_tmpl$2$1=template(`<label><span class="mdc-notched-outline"><span class="mdc-notched-outline__leading"></span><span class="mdc-notched-outline__notch"></span><span class="mdc-notched-outline__trailing"></span></span><input class="mdc-text-field__input"></label>`,11),_tmpl$3=template(`<span></span>`,2),_tmpl$4=template(`<i class="material-icons mdc-text-field__icon mdc-text-field__icon--leading" tabindex="-1" role="button"></i>`,2),_tmpl$5=template(`<div class="mdc-touch-target-wrapper"><button class="mdc-button vf-text-field__button mdc-button--touch" type="button"><div class="mdc-button__ripple"></div><span class="mdc-button__label material-icons"></span><div class="mdc-button__touch"></div></button></div>`,10),_tmpl$6=template(`<i class="material-icons mdc-text-field__icon mdc-text-field__icon--trailing" tabindex="-1" role="button"></i>`,2),_tmpl$7=template(`<div class="vf-field__row"></div>`,2),HelpText=props=>(()=>{const _el$=_tmpl$$1.cloneNode(!0),_el$2=_el$.firstChild;return insert(_el$2,()=>props.error||props.helpText),_el$})(),Input=props=>{let control,textfield;return afterEffects(()=>{setTimeout(()=>{textfield=new MDCTextField(control),control.textfield=textfield})}),onCleanup(()=>{textfield.destroy()}),(()=>{const _el$3=_tmpl$2$1.cloneNode(!0),_el$4=_el$3.firstChild,_el$5=_el$4.firstChild,_el$6=_el$5.nextSibling,_el$7=_el$4.nextSibling;return"function"==typeof control?control(_el$3):control=_el$3,insert(_el$6,(()=>{const _c$=memo(()=>!!props.label,!0);return()=>_c$()?(()=>{const _el$8=_tmpl$3.cloneNode(!0);return insert(_el$8,()=>props.label),createEffect(_p$=>{const _v$15=cc({"mdc-floating-label":!0,"mdc-floating-label--float-above":void 0!==props.value,"mdc-floating-label--required":props.required}),_v$16=props.id+"_label";return _v$15!==_p$._v$15&&(_el$8.className=_p$._v$15=_v$15),_v$16!==_p$._v$16&&(_el$8.id=_p$._v$16=_v$16),_p$},{_v$15:void 0,_v$16:void 0}),_el$8})():""})()),insert(_el$3,(()=>{const _c$=memo(()=>!!props.leadingIcon,!0);return()=>_c$()?(()=>{const _el$9=_tmpl$4.cloneNode(!0);return insert(_el$9,()=>props.leadingIcon),_el$9})():""})(),_el$7),_el$7.__keydown=props.onKeyDown,_el$7.__keyup=props.onKeyUp,_el$7.onfocus=props.onFocus,_el$7.onchange=props.onChange,insert(_el$3,(()=>{const _c$=memo(()=>!!props.trailingButton,!0);return()=>_c$()?(()=>{const _el$10=_tmpl$5.cloneNode(!0),_el$11=_el$10.firstChild,_el$12=_el$11.firstChild,_el$13=_el$12.nextSibling;return _el$11.__click=props.onTrailingButtonClick,insert(_el$13,()=>props.trailingButton),createEffect(()=>_el$11.disabled=props.disabled),_el$10})():(()=>{const _c$=memo(()=>!!props.trailingIcon,!0);return()=>_c$()?(()=>{const _el$14=_tmpl$6.cloneNode(!0);return insert(_el$14,()=>props.trailingIcon),_el$14})():""})()})(),null),createEffect(_p$=>{const _v$=cc({"mdc-text-field":!0,"mdc-text-field--outlined":!0,"mdc-text-field--invalid":!!props.error,"mdc-text-field--with-leading-icon":!!props.leadingIcon,"mdc-text-field--with-trailing-icon":!!props.trailingIcon}),_v$2=!!props.autofocus,_v$3=props.autocomplete,_v$4=!!props.disabled,_v$5=props.id+"_control",_v$6=props.maxlength,_v$7=props.minlength,_v$8=props.name,_v$9=props.placeholder,_v$10=!!props.required,_v$11=props.step,_v$12=props.type,_v$13=props.value,_v$14=props.id+"_label";return _v$!==_p$._v$&&(_el$3.className=_p$._v$=_v$),_v$2!==_p$._v$2&&(_el$7.autofocus=_p$._v$2=_v$2),_v$3!==_p$._v$3&&(_el$7.autocomplete=_p$._v$3=_v$3),_v$4!==_p$._v$4&&(_el$7.disabled=_p$._v$4=_v$4),_v$5!==_p$._v$5&&(_el$7.id=_p$._v$5=_v$5),_v$6!==_p$._v$6&&(_el$7.maxlength=_p$._v$6=_v$6),_v$7!==_p$._v$7&&(_el$7.minlength=_p$._v$7=_v$7),_v$8!==_p$._v$8&&(_el$7.name=_p$._v$8=_v$8),_v$9!==_p$._v$9&&(_el$7.placeholder=_p$._v$9=_v$9),_v$10!==_p$._v$10&&(_el$7.required=_p$._v$10=_v$10),_v$11!==_p$._v$11&&(_el$7.step=_p$._v$11=_v$11),_v$12!==_p$._v$12&&(_el$7.type=_p$._v$12=_v$12),_v$13!==_p$._v$13&&(_el$7.value=_p$._v$13=_v$13),_v$14!==_p$._v$14&&setAttribute(_el$7,"aria-labelledby",_p$._v$14=_v$14),_p$},{_v$:void 0,_v$2:void 0,_v$3:void 0,_v$4:void 0,_v$5:void 0,_v$6:void 0,_v$7:void 0,_v$8:void 0,_v$9:void 0,_v$10:void 0,_v$11:void 0,_v$12:void 0,_v$13:void 0,_v$14:void 0}),_el$3})()},VInputField=customElement("vf-field-input",{autofocus:void 0,disabled:!1,error:void 0,helpText:void 0,id:void 0,label:void 0,leadingIcon:void 0,maxlength:void 0,minlength:void 0,name:void 0,placeholder:void 0,required:!1,step:void 0,trailingIcon:void 0,type:"text",value:void 0},(props,{element})=>(noShadowDOM(),(()=>{const _el$15=_tmpl$7.cloneNode(!0);return insert(_el$15,createComponent(Input,Object.assign(Object.keys(props).reduce((m$,k$)=>(m$[k$]=()=>props[k$],m$),{}),{}),Object.keys(props)),null),insert(_el$15,(()=>{const _c$=memo(()=>!!(props.helpText||props.error),!0);return()=>_c$()?createComponent(HelpText,Object.assign(Object.keys(props).reduce((m$,k$)=>(m$[k$]=()=>props[k$],m$),{}),{}),Object.keys(props)):""})(),null),_el$15})()));delegateEvents(["keyup","keydown","click"]);const _tmpl$$2=template(`<div class="vf-field__row"></div>`,2),VPasswordField=customElement("vf-field-password",{autofocus:void 0,disabled:!1,error:void 0,helpText:void 0,id:void 0,label:void 0,leadingIcon:void 0,maxlength:void 0,minlength:void 0,name:void 0,placeholder:void 0,required:!1,type:"password",value:void 0},(props,{element})=>{const[state,setState]=createState({visible:"password"!==props.type});noShadowDOM();const onBtnClick=event=>{event.preventDefault(),setState({visible:!state.visible})};return(()=>{const _el$=_tmpl$$2.cloneNode(!0);return insert(_el$,createComponent(Input,Object.assign(Object.keys(props).reduce((m$,k$)=>(m$[k$]=()=>props[k$],m$),{}),{type:()=>state.visible?"text":"password",trailingButton:()=>state.visible?"visibility":"visibility_off",onTrailingButtonClick:onBtnClick}),Object.keys(props)),null),insert(_el$,(()=>{const _c$=memo(()=>!!(props.helpText||props.error),!0);return()=>_c$()?createComponent(HelpText,Object.assign(Object.keys(props).reduce((m$,k$)=>(m$[k$]=()=>props[k$],m$),{}),{}),Object.keys(props)):""})(),null),_el$})()}),_tmpl$$3=template(`<div class="mdc-form-field"><div><input class="mdc-radio__native-control" type="radio"><div class="mdc-radio__background"><div class="mdc-radio__outer-circle"></div><div class="mdc-radio__inner-circle"></div></div><div class="mdc-radio__ripple"></div></div><label></label></div>`,15),_tmpl$2$2=template(`<div><label class="vf-radio-select__label mdc-floating-label"></label><div class="vf-radio-select__control"></div></div>`,6),_tmpl$3$1=template(`<div class="mdc-text-field-helper-line"><div class="mdc-text-field-helper-text mdc-text-field-helper-text--persistent"></div></div>`,4),VRadioSelectField=customElement("vf-field-radio-select",{disabled:!1,error:void 0,helpText:void 0,id:void 0,inline:void 0,label:void 0,name:void 0,optgroups:void 0,required:!1,value:void 0},(props,{element})=>{noShadowDOM();const items=props=>{const items=[];for(const groupData of props.optgroups)items.push((()=>{const _el$=_tmpl$$3.cloneNode(!0),_el$2=_el$.firstChild,_el$3=_el$2.firstChild,_el$4=_el$2.nextSibling;return spread(_el$3,()=>groupData.options.attrs,!1,!1),insert(_el$4,()=>groupData.options.label),createEffect(_p$=>{const _v$=cc({"mdc-radio":!0,"mdc-radio--disabled":!!props.disabled}),_v$2=groupData.options.selected,_v$3=!!props.disabled,_v$4=groupData.options.name,_v$5=groupData.options.value,_v$6=groupData.options.attrs.id;return _v$!==_p$._v$&&(_el$2.className=_p$._v$=_v$),_v$2!==_p$._v$2&&(_el$3.checked=_p$._v$2=_v$2),_v$3!==_p$._v$3&&(_el$3.disabled=_p$._v$3=_v$3),_v$4!==_p$._v$4&&(_el$3.name=_p$._v$4=_v$4),_v$5!==_p$._v$5&&(_el$3.value=_p$._v$5=_v$5),_v$6!==_p$._v$6&&(_el$4.htmlFor=_p$._v$6=_v$6),_p$},{_v$:void 0,_v$2:void 0,_v$3:void 0,_v$4:void 0,_v$5:void 0,_v$6:void 0}),_el$})());return items};return(()=>{const _el$5=_tmpl$2$2.cloneNode(!0),_el$6=_el$5.firstChild,_el$7=_el$6.nextSibling;return insert(_el$6,()=>props.label),insert(_el$7,()=>items(props)),insert(_el$5,(()=>{const _c$=memo(()=>!!(props.helpText||props.error),!0);return()=>_c$()?(()=>{const _el$8=_tmpl$3$1.cloneNode(!0),_el$9=_el$8.firstChild;return insert(_el$9,()=>props.error||props.helpText),_el$8})():""})(),null),createEffect(()=>_el$5.className=cc({"vf-field__row":!0,"vf-radio--inline":!!props.inline,"vf-radio--invalid":!!props.error})),_el$5})()});class VCardMenu extends HTMLElement{constructor(...args){super(...args),_defineProperty(this,"onToggleMenu",()=>{this._mdcMenu.open=!this._mdcMenu.open}),_defineProperty(this,"onMenuSelect",event=>{event.preventDefault();const itemData=event.detail.item.dataset;itemData.cardMenuHref&&(Turbolinks__default["default"]?Turbolinks__default["default"].visit(itemData.cardMenuHref):window.location=itemData.cardMenuHref)})}connectedCallback(){setTimeout(()=>{this._menuEl=this.querySelector(".mdc-menu"),this._triggerEl=this.querySelector(".vf-card__menu-trigger"),this._mdcMenu=new materialComponentsWeb.menu.MDCMenu(this._menuEl),this._menuEl.addEventListener("MDCMenu:selected",this.onMenuSelect),this._triggerEl.addEventListener("click",this.onToggleMenu)})}disconnectedCallback(){this._mdcMenu.destroy(),this._triggerEl.removeEventListener("click",this.onToggleMenu)}}/* eslint-env browser */class DOMBuilder{constructor(tagName,attrs){this.tagName=tagName,this.attrs=attrs,this.content=null,this.textContent=null}with(content){return content instanceof Array||(content=[content]),this.content=content,this}text(textContent){return this.textContent=textContent,this}_createElement(tagName){return document.createElement(tagName)}_setAttribute(element,attr,value){element.setAttribute(attr,value)}toDOM(){const element=this._createElement(this.tagName);for(let attr in this.textContent&&(element.textContent=this.textContent),this.attrs)if(this.attrs.hasOwnProperty(attr)){let value=this.attrs[attr];if(void 0===value||null===value)// skip undefined values
continue;else if(value instanceof Array)// join array data
value=value.join(" ");else if("boolean"==typeof value){if(!1===value)// skip false boolean attributes
continue;else value="";}else if("string"!=typeof value&&"number"!=typeof value){// join hash key if enabled
let valuesList=[];for(let key in value)if(value.hasOwnProperty(key)){const keyValue=value[key];keyValue&&valuesList.push(key)}value=valuesList.join(" ")}this._setAttribute(element,attr,null==value?"":value)}if(this.content)for(let i=0;i<this.content.length;i++){const child=this.content[i];child&&(child instanceof DOMBuilder?element.appendChild(child.toDOM()):element.appendChild(document.createTextNode(child)))}return element}}class VPage extends HTMLElement{constructor(...args){super(...args),_defineProperty$1(this,"onWindowResize",()=>{cancelAnimationFrame(this._reconcileDrawerFrame),this._reconcileDrawerFrame=requestAnimationFrame(()=>this.reconcileDrawer())}),_defineProperty$1(this,"onToggleMenuClick",event=>{event.preventDefault(),this.classList.toggle("vf-page__menu--secondary-open")})}connectedCallback(){this._reconcileDrawerFrame=0,this._mdcDrawer=null,this._topAppBar=null,this._drawerEl=this.querySelector(".vf-page__menu"),this._contentEl=this.querySelector(".vf-page__body"),this._toggleMenuEl=this.querySelector(".vf-page__menu-toggle-button"),this._topAppBarEl=this.querySelector(".vf-page__body-toolbar"),this._scrimEl=div({class:"mdc-drawer-scrim"}).toDOM(),992<=window.innerWidth&&this._drawerEl.classList.toggle("mdc-drawer--open","closed"!=sessionStorage.getItem("viewflow_site_drawer_state")),this._toggleMenuEl.addEventListener("click",this.onToggleMenuClick),window.addEventListener("resize",this.onWindowResize),this._mdcDrawer=materialComponentsWeb.drawer.MDCDrawer.attachTo(this._drawerEl),this._topAppBar=materialComponentsWeb.topAppBar.MDCTopAppBar.attachTo(this._topAppBarEl),this._topAppBar.setScrollTarget(this.querySelector(".vf-page__content")),this._topAppBar.listen("MDCTopAppBar:nav",event=>{event.preventDefault(),this.open=!this.open}),this.reconcileDrawer()}disconnectedCallback(){window.removeEventListener("resize",this.onWindowResize),this._toggleMenuEl.removeEventListener("click",this.onToggleMenuClick),this._mdcDrawer&&this._mdcDrawer.destroy(),this._topAppBar&&this._topAppBar.destroy()}reconcileDrawer(){const rootClasses=this._drawerEl.classList;992>window.innerWidth&&!rootClasses.contains("mdc-drawer--modal")?(this._mdcDrawer.destroy(),this._drawerEl.classList.remove("mdc-drawer--dismissible"),this._drawerEl.classList.remove("mdc-drawer--open"),this._drawerEl.classList.add("mdc-drawer--modal"),this.insertBefore(this._scrimEl,this._contentEl),this._contentEl.classList.remove("mdc-drawer-app-content"),this._mdcDrawer=materialComponentsWeb.drawer.MDCDrawer.attachTo(this._drawerEl)):992<=window.innerWidth&&!rootClasses.contains("mdc-drawer--dismissible")&&(this._mdcDrawer.destroy(),this._drawerEl.classList.remove("mdc-drawer--modal"),this._scrimEl.remove(),this._drawerEl.classList.add("mdc-drawer--dismissible"),this._contentEl.classList.add("mdc-drawer-app-content"),this._drawerEl.classList.toggle("mdc-drawer--open","closed"!=sessionStorage.getItem("viewflow_site_drawer_state")),this._mdcDrawer=materialComponentsWeb.drawer.MDCDrawer.attachTo(this._drawerEl))}get open(){if(this._mdcDrawer)return this._mdcDrawer.open}set open(value){if(this._mdcDrawer)return 992<=window.innerWidth&&sessionStorage.setItem("viewflow_site_drawer_state",value?"open":"closed"),this._mdcDrawer.open=value}}class VPageMenuToggle extends HTMLElement{constructor(...args){super(...args),_defineProperty$1(this,"onClick",event=>{event.preventDefault(),this._pageMenu.open=!this._pageMenu.open})}connectedCallback(){setTimeout(()=>{this._pageMenu=document.querySelector("vf-page-menu"),this.addEventListener("click",this.onClick)})}disconnectedCallback(){this.removeEventListener("click",this.onClick)}}class VPageMenuNavigation extends HTMLElement{constructor(...args){super(...args),_defineProperty$1(this,"activate",()=>{let currentPath=window.location.pathname;Turbolinks__default["default"].controller.currentVisit&&Turbolinks__default["default"].controller.currentVisit.redirectedToLocation&&(currentPath=Turbolinks__default["default"].controller.currentVisit.redirectedToLocation.absoluteURL.substring(window.location.origin.length));const navItems=[].slice.call(this.querySelectorAll(".mdc-list-item:not(.vf-page-navigation__ignore)")).filter(node=>currentPath.startsWith(node.pathname));navItems.sort((a,b)=>b.pathname.length-a.pathname.length),navItems.length&&navItems[0].classList.add("mdc-list-item--selected")})}connectedCallback(){this.children.length?this.activate():setTimeout(this.activate)}}class VPageScrollFix extends HTMLElement{constructor(...args){super(...args),_defineProperty$1(this,"onResize",()=>{document.body.style.width?(cancelAnimationFrame(this._reconcileBodyFrame),this._reconcileBodyFrame=requestAnimationFrame(()=>{document.body.style.width=window.innerWidth-this._gap+"px"})):this._clientWidth=document.body.clientWidth}),_defineProperty$1(this,"onBodyChanged",()=>{const overflow=window.getComputedStyle(document.body).overflow;"hidden"==overflow?(this._gap=window.innerWidth-this._clientWidth,document.body.style.width=this._clientWidth+"px"):(document.body.style.removeProperty("width"),this._clientWidth=document.body.clientWidth)})}connectedCallback(){this._reconcileBodyFrame=0,this._clientWidth=document.body.clientWidth,this._gap=0,window.addEventListener("resize",this.onResize),this._observer=new MutationObserver(this.onBodyChanged),this._observer.observe(document.body,{attributes:!0,attributeFilter:["class"]})}disconnectedCallback(){window.removeEventListener("resize",this.onResize),cancelAnimationFrame(this._reconcileBodyFrame),this._observer.disconnect()}}var elMatches="undefined"!=typeof Element&&(Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector),cls={main:"ps",rtl:"ps__rtl",element:{thumb:function(x){return"ps__thumb-"+x},rail:function(x){return"ps__rail-"+x},consuming:"ps__child--consume"},state:{focus:"ps--focus",clicking:"ps--clicking",active:function(x){return"ps--active-"+x},scrolling:function(x){return"ps--scrolling-"+x}}},scrollingClassTimeout={x:null,y:null},EventElement=function(element){this.element=element,this.handlers={}},prototypeAccessors={isEmpty:{configurable:!0}};EventElement.prototype.bind=function(eventName,handler){"undefined"==typeof this.handlers[eventName]&&(this.handlers[eventName]=[]),this.handlers[eventName].push(handler),this.element.addEventListener(eventName,handler,!1)},EventElement.prototype.unbind=function(eventName,target){var this$1=this;this.handlers[eventName]=this.handlers[eventName].filter(function(handler){return!!(target&&handler!==target)||(this$1.element.removeEventListener(eventName,handler,!1),!1)})},EventElement.prototype.unbindAll=function(){for(var name in this.handlers)this.unbind(name)},prototypeAccessors.isEmpty.get=function(){var this$1=this;return Object.keys(this.handlers).every(function(key){return 0===this$1.handlers[key].length})},Object.defineProperties(EventElement.prototype,prototypeAccessors);var EventManager=function(){this.eventElements=[]};EventManager.prototype.eventElement=function(element){var ee=this.eventElements.filter(function(ee){return ee.element===element})[0];return ee||(ee=new EventElement(element),this.eventElements.push(ee)),ee},EventManager.prototype.bind=function(element,eventName,handler){this.eventElement(element).bind(eventName,handler)},EventManager.prototype.unbind=function(element,eventName,handler){var ee=this.eventElement(element);ee.unbind(eventName,handler),ee.isEmpty&&this.eventElements.splice(this.eventElements.indexOf(ee),1)},EventManager.prototype.unbindAll=function(){this.eventElements.forEach(function(e){return e.unbindAll()}),this.eventElements=[]},EventManager.prototype.once=function(element,eventName,handler){var ee=this.eventElement(element),onceHandler=function(evt){ee.unbind(eventName,onceHandler),handler(evt)};ee.bind(eventName,onceHandler)};var env={isWebKit:"undefined"!=typeof document&&"WebkitAppearance"in document.documentElement.style,supportsTouch:"undefined"!=typeof window&&("ontouchstart"in window||"maxTouchPoints"in window.navigator&&0<window.navigator.maxTouchPoints||window.DocumentTouch&&document instanceof window.DocumentTouch),supportsIePointer:"undefined"!=typeof navigator&&navigator.msMaxTouchPoints,isChrome:"undefined"!=typeof navigator&&/Chrome/i.test(navigator&&navigator.userAgent)},defaultSettings=function(){return{handlers:["click-rail","drag-thumb","keyboard","wheel","touch"],maxScrollbarLength:null,minScrollbarLength:null,scrollingThreshold:1e3,scrollXMarginOffset:0,scrollYMarginOffset:0,suppressScrollX:!1,suppressScrollY:!1,swipeEasing:!0,useBothWheelAxes:!1,wheelPropagation:!0,wheelSpeed:1}},handlers={"click-rail":function(i){i.element;i.event.bind(i.scrollbarY,"mousedown",function(e){return e.stopPropagation()}),i.event.bind(i.scrollbarYRail,"mousedown",function(e){var positionTop=e.pageY-window.pageYOffset-i.scrollbarYRail.getBoundingClientRect().top,direction=positionTop>i.scrollbarYTop?1:-1;i.element.scrollTop+=direction*i.containerHeight,updateGeometry(i),e.stopPropagation()}),i.event.bind(i.scrollbarX,"mousedown",function(e){return e.stopPropagation()}),i.event.bind(i.scrollbarXRail,"mousedown",function(e){var positionLeft=e.pageX-window.pageXOffset-i.scrollbarXRail.getBoundingClientRect().left,direction=positionLeft>i.scrollbarXLeft?1:-1;i.element.scrollLeft+=direction*i.containerWidth,updateGeometry(i),e.stopPropagation()})},"drag-thumb":function(i){bindMouseScrollHandler(i,["containerWidth","contentWidth","pageX","railXWidth","scrollbarX","scrollbarXWidth","scrollLeft","x","scrollbarXRail"]),bindMouseScrollHandler(i,["containerHeight","contentHeight","pageY","railYHeight","scrollbarY","scrollbarYHeight","scrollTop","y","scrollbarYRail"])},keyboard:function(i){function shouldPreventDefault(deltaX,deltaY){var scrollTop=_Mathfloor(element.scrollTop);if(0===deltaX){if(!i.scrollbarYActive)return!1;if(0===scrollTop&&0<deltaY||scrollTop>=i.contentHeight-i.containerHeight&&0>deltaY)return!i.settings.wheelPropagation}var scrollLeft=element.scrollLeft;if(0===deltaY){if(!i.scrollbarXActive)return!1;if(0===scrollLeft&&0>deltaX||scrollLeft>=i.contentWidth-i.containerWidth&&0<deltaX)return!i.settings.wheelPropagation}return!0}var element=i.element,elementHovered=function(){return matches$1(element,":hover")},scrollbarFocused=function(){return matches$1(i.scrollbarX,":focus")||matches$1(i.scrollbarY,":focus")};i.event.bind(i.ownerDocument,"keydown",function(e){if(!(e.isDefaultPrevented&&e.isDefaultPrevented()||e.defaultPrevented)&&(elementHovered()||scrollbarFocused())){var activeElement=document.activeElement?document.activeElement:i.ownerDocument.activeElement;if(activeElement){if("IFRAME"===activeElement.tagName)activeElement=activeElement.contentDocument.activeElement;else// go deeper if element is a webcomponent
for(;activeElement.shadowRoot;)activeElement=activeElement.shadowRoot.activeElement;if(isEditable(activeElement))return}var deltaX=0,deltaY=0;switch(e.which){case 37:deltaX=e.metaKey?-i.contentWidth:e.altKey?-i.containerWidth:-30;break;case 38:deltaY=e.metaKey?i.contentHeight:e.altKey?i.containerHeight:30;break;case 39:deltaX=e.metaKey?i.contentWidth:e.altKey?i.containerWidth:30;break;case 40:deltaY=e.metaKey?-i.contentHeight:e.altKey?-i.containerHeight:-30;break;case 32:deltaY=e.shiftKey?i.containerHeight:-i.containerHeight;break;case 33:deltaY=i.containerHeight;break;case 34:deltaY=-i.containerHeight;break;case 36:deltaY=i.contentHeight;break;case 35:deltaY=-i.contentHeight;break;default:return;}i.settings.suppressScrollX&&0!==deltaX||i.settings.suppressScrollY&&0!==deltaY||(element.scrollTop-=deltaY,element.scrollLeft+=deltaX,updateGeometry(i),shouldPreventDefault(deltaX,deltaY)&&e.preventDefault())}})},wheel:function(i){function shouldPreventDefault(deltaX,deltaY){var hitsBound,roundedScrollTop=_Mathfloor(element.scrollTop),isTop=0===element.scrollTop,isBottom=roundedScrollTop+element.offsetHeight===element.scrollHeight,isLeft=0===element.scrollLeft,isRight=element.scrollLeft+element.offsetWidth===element.scrollWidth;return hitsBound=_Mathabs(deltaY)>_Mathabs(deltaX)?isTop||isBottom:isLeft||isRight,!hitsBound||!i.settings.wheelPropagation}function getDeltaFromEvent(e){var deltaX=e.deltaX,deltaY=-1*e.deltaY;return("undefined"==typeof deltaX||"undefined"==typeof deltaY)&&(deltaX=-1*e.wheelDeltaX/6,deltaY=e.wheelDeltaY/6),e.deltaMode&&1===e.deltaMode&&(deltaX*=10,deltaY*=10),deltaX!==deltaX&&deltaY!==deltaY/* NaN checks */&&(deltaX=0,deltaY=e.wheelDelta),e.shiftKey?[-deltaY,-deltaX]:[deltaX,deltaY]}function shouldBeConsumedByChild(target,deltaX,deltaY){// FIXME: this is a workaround for <select> issue in FF and IE #571
if(!env.isWebKit&&element.querySelector("select:focus"))return!0;if(!element.contains(target))return!1;for(var cursor=target;cursor&&cursor!==element;){if(cursor.classList.contains(cls.element.consuming))return!0;var style=get(cursor);// if deltaY && vertical scrollable
if(deltaY&&style.overflowY.match(/(scroll|auto)/)){var maxScrollTop=cursor.scrollHeight-cursor.clientHeight;if(0<maxScrollTop&&(0<cursor.scrollTop&&0>deltaY||cursor.scrollTop<maxScrollTop&&0<deltaY))return!0}// if deltaX && horizontal scrollable
if(deltaX&&style.overflowX.match(/(scroll|auto)/)){var maxScrollLeft=cursor.scrollWidth-cursor.clientWidth;if(0<maxScrollLeft&&(0<cursor.scrollLeft&&0>deltaX||cursor.scrollLeft<maxScrollLeft&&0<deltaX))return!0}cursor=cursor.parentNode}return!1}function mousewheelHandler(e){var ref=getDeltaFromEvent(e),deltaX=ref[0],deltaY=ref[1];if(!shouldBeConsumedByChild(e.target,deltaX,deltaY)){var shouldPrevent=!1;i.settings.useBothWheelAxes?i.scrollbarYActive&&!i.scrollbarXActive?(deltaY?element.scrollTop-=deltaY*i.settings.wheelSpeed:element.scrollTop+=deltaX*i.settings.wheelSpeed,shouldPrevent=!0):i.scrollbarXActive&&!i.scrollbarYActive&&(deltaX?element.scrollLeft+=deltaX*i.settings.wheelSpeed:element.scrollLeft-=deltaY*i.settings.wheelSpeed,shouldPrevent=!0):(element.scrollTop-=deltaY*i.settings.wheelSpeed,element.scrollLeft+=deltaX*i.settings.wheelSpeed),updateGeometry(i),shouldPrevent=shouldPrevent||shouldPreventDefault(deltaX,deltaY),shouldPrevent&&!e.ctrlKey&&(e.stopPropagation(),e.preventDefault())}}var element=i.element;"undefined"==typeof window.onwheel?"undefined"!=typeof window.onmousewheel&&i.event.bind(element,"mousewheel",mousewheelHandler):i.event.bind(element,"wheel",mousewheelHandler)},touch:function(i){function shouldPrevent(deltaX,deltaY){var scrollTop=_Mathfloor(element.scrollTop),scrollLeft=element.scrollLeft,magnitudeX=_Mathabs(deltaX),magnitudeY=_Mathabs(deltaY);if(magnitudeY>magnitudeX){// user is perhaps trying to swipe up/down the page
if(0>deltaY&&scrollTop===i.contentHeight-i.containerHeight||0<deltaY&&0===scrollTop)// set prevent for mobile Chrome refresh
return 0===window.scrollY&&0<deltaY&&env.isChrome;}else if(magnitudeX>magnitudeY&&(0>deltaX&&scrollLeft===i.contentWidth-i.containerWidth||0<deltaX&&0===scrollLeft))// user is perhaps trying to swipe left/right across the page
return!0;return!0}function applyTouchMove(differenceX,differenceY){element.scrollTop-=differenceY,element.scrollLeft-=differenceX,updateGeometry(i)}function getTouch(e){return e.targetTouches?e.targetTouches[0]:e}function shouldHandle(e){return!(e.pointerType&&"pen"===e.pointerType&&0===e.buttons)&&(!!(e.targetTouches&&1===e.targetTouches.length)||!!(e.pointerType&&"mouse"!==e.pointerType&&e.pointerType!==e.MSPOINTER_TYPE_MOUSE))}function touchStart(e){if(shouldHandle(e)){var touch=getTouch(e);startOffset.pageX=touch.pageX,startOffset.pageY=touch.pageY,startTime=new Date().getTime(),null!==easingLoop&&clearInterval(easingLoop)}}function shouldBeConsumedByChild(target,deltaX,deltaY){if(!element.contains(target))return!1;for(var cursor=target;cursor&&cursor!==element;){if(cursor.classList.contains(cls.element.consuming))return!0;var style=get(cursor);// if deltaY && vertical scrollable
if(deltaY&&style.overflowY.match(/(scroll|auto)/)){var maxScrollTop=cursor.scrollHeight-cursor.clientHeight;if(0<maxScrollTop&&(0<cursor.scrollTop&&0>deltaY||cursor.scrollTop<maxScrollTop&&0<deltaY))return!0}// if deltaX && horizontal scrollable
if(deltaX&&style.overflowX.match(/(scroll|auto)/)){var maxScrollLeft=cursor.scrollWidth-cursor.clientWidth;if(0<maxScrollLeft&&(0<cursor.scrollLeft&&0>deltaX||cursor.scrollLeft<maxScrollLeft&&0<deltaX))return!0}cursor=cursor.parentNode}return!1}function touchMove(e){if(shouldHandle(e)){var touch=getTouch(e),currentOffset={pageX:touch.pageX,pageY:touch.pageY},differenceX=currentOffset.pageX-startOffset.pageX,differenceY=currentOffset.pageY-startOffset.pageY;if(shouldBeConsumedByChild(e.target,differenceX,differenceY))return;applyTouchMove(differenceX,differenceY),startOffset=currentOffset;var currentTime=new Date().getTime(),timeGap=currentTime-startTime;0<timeGap&&(speed.x=differenceX/timeGap,speed.y=differenceY/timeGap,startTime=currentTime),shouldPrevent(differenceX,differenceY)&&e.preventDefault()}}function touchEnd(){i.settings.swipeEasing&&(clearInterval(easingLoop),easingLoop=setInterval(function(){return i.isInitialized?void clearInterval(easingLoop):speed.x||speed.y?.01>_Mathabs(speed.x)&&.01>_Mathabs(speed.y)?void clearInterval(easingLoop):void(applyTouchMove(30*speed.x,30*speed.y),speed.x*=.8,speed.y*=.8):void clearInterval(easingLoop)},10))}if(env.supportsTouch||env.supportsIePointer){var element=i.element,startOffset={},startTime=0,speed={},easingLoop=null;env.supportsTouch?(i.event.bind(element,"touchstart",touchStart),i.event.bind(element,"touchmove",touchMove),i.event.bind(element,"touchend",touchEnd)):env.supportsIePointer&&(window.PointerEvent?(i.event.bind(element,"pointerdown",touchStart),i.event.bind(element,"pointermove",touchMove),i.event.bind(element,"pointerup",touchEnd)):window.MSPointerEvent&&(i.event.bind(element,"MSPointerDown",touchStart),i.event.bind(element,"MSPointerMove",touchMove),i.event.bind(element,"MSPointerUp",touchEnd)))}}},PerfectScrollbar=function(element,userSettings){var this$1=this;if(void 0===userSettings&&(userSettings={}),"string"==typeof element&&(element=document.querySelector(element)),!element||!element.nodeName)throw new Error("no element is specified to initialize PerfectScrollbar");for(var key in this.element=element,element.classList.add(cls.main),this.settings=defaultSettings(),userSettings)this.settings[key]=userSettings[key];this.containerWidth=null,this.containerHeight=null,this.contentWidth=null,this.contentHeight=null;var focus=function(){return element.classList.add(cls.state.focus)},blur=function(){return element.classList.remove(cls.state.focus)};this.isRtl="rtl"===get(element).direction,!0===this.isRtl&&element.classList.add(cls.rtl),this.isNegativeScroll=function(){var originalScrollLeft=element.scrollLeft,result=null;return element.scrollLeft=-1,result=0>element.scrollLeft,element.scrollLeft=originalScrollLeft,result}(),this.negativeScrollAdjustment=this.isNegativeScroll?element.scrollWidth-element.clientWidth:0,this.event=new EventManager,this.ownerDocument=element.ownerDocument||document,this.scrollbarXRail=div$1(cls.element.rail("x")),element.appendChild(this.scrollbarXRail),this.scrollbarX=div$1(cls.element.thumb("x")),this.scrollbarXRail.appendChild(this.scrollbarX),this.scrollbarX.setAttribute("tabindex",0),this.event.bind(this.scrollbarX,"focus",focus),this.event.bind(this.scrollbarX,"blur",blur),this.scrollbarXActive=null,this.scrollbarXWidth=null,this.scrollbarXLeft=null;var railXStyle=get(this.scrollbarXRail);this.scrollbarXBottom=parseInt(railXStyle.bottom,10),isNaN(this.scrollbarXBottom)?(this.isScrollbarXUsingBottom=!1,this.scrollbarXTop=toInt(railXStyle.top)):this.isScrollbarXUsingBottom=!0,this.railBorderXWidth=toInt(railXStyle.borderLeftWidth)+toInt(railXStyle.borderRightWidth),set(this.scrollbarXRail,{display:"block"}),this.railXMarginWidth=toInt(railXStyle.marginLeft)+toInt(railXStyle.marginRight),set(this.scrollbarXRail,{display:""}),this.railXWidth=null,this.railXRatio=null,this.scrollbarYRail=div$1(cls.element.rail("y")),element.appendChild(this.scrollbarYRail),this.scrollbarY=div$1(cls.element.thumb("y")),this.scrollbarYRail.appendChild(this.scrollbarY),this.scrollbarY.setAttribute("tabindex",0),this.event.bind(this.scrollbarY,"focus",focus),this.event.bind(this.scrollbarY,"blur",blur),this.scrollbarYActive=null,this.scrollbarYHeight=null,this.scrollbarYTop=null;var railYStyle=get(this.scrollbarYRail);this.scrollbarYRight=parseInt(railYStyle.right,10),isNaN(this.scrollbarYRight)?(this.isScrollbarYUsingRight=!1,this.scrollbarYLeft=toInt(railYStyle.left)):this.isScrollbarYUsingRight=!0,this.scrollbarYOuterWidth=this.isRtl?outerWidth(this.scrollbarY):null,this.railBorderYWidth=toInt(railYStyle.borderTopWidth)+toInt(railYStyle.borderBottomWidth),set(this.scrollbarYRail,{display:"block"}),this.railYMarginHeight=toInt(railYStyle.marginTop)+toInt(railYStyle.marginBottom),set(this.scrollbarYRail,{display:""}),this.railYHeight=null,this.railYRatio=null,this.reach={x:0>=element.scrollLeft?"start":element.scrollLeft>=this.contentWidth-this.containerWidth?"end":null,y:0>=element.scrollTop?"start":element.scrollTop>=this.contentHeight-this.containerHeight?"end":null},this.isAlive=!0,this.settings.handlers.forEach(function(handlerName){return handlers[handlerName](this$1)}),this.lastScrollTop=_Mathfloor(element.scrollTop),this.lastScrollLeft=element.scrollLeft,this.event.bind(this.element,"scroll",function(e){return this$1.onScroll(e)}),updateGeometry(this)};PerfectScrollbar.prototype.update=function(){this.isAlive&&(// Recalcuate negative scrollLeft adjustment
// Recalculate rail margins
// Hide scrollbars not to affect scrollWidth and scrollHeight
this.negativeScrollAdjustment=this.isNegativeScroll?this.element.scrollWidth-this.element.clientWidth:0,set(this.scrollbarXRail,{display:"block"}),set(this.scrollbarYRail,{display:"block"}),this.railXMarginWidth=toInt(get(this.scrollbarXRail).marginLeft)+toInt(get(this.scrollbarXRail).marginRight),this.railYMarginHeight=toInt(get(this.scrollbarYRail).marginTop)+toInt(get(this.scrollbarYRail).marginBottom),set(this.scrollbarXRail,{display:"none"}),set(this.scrollbarYRail,{display:"none"}),updateGeometry(this),processScrollDiff(this,"top",0,!1,!0),processScrollDiff(this,"left",0,!1,!0),set(this.scrollbarXRail,{display:""}),set(this.scrollbarYRail,{display:""}))},PerfectScrollbar.prototype.onScroll=function(){this.isAlive&&(updateGeometry(this),processScrollDiff(this,"top",this.element.scrollTop-this.lastScrollTop),processScrollDiff(this,"left",this.element.scrollLeft-this.lastScrollLeft),this.lastScrollTop=_Mathfloor(this.element.scrollTop),this.lastScrollLeft=this.element.scrollLeft)},PerfectScrollbar.prototype.destroy=function(){this.isAlive&&(// unset elements
this.event.unbindAll(),remove(this.scrollbarX),remove(this.scrollbarY),remove(this.scrollbarXRail),remove(this.scrollbarYRail),this.removePsClasses(),this.element=null,this.scrollbarX=null,this.scrollbarY=null,this.scrollbarXRail=null,this.scrollbarYRail=null,this.isAlive=!1)},PerfectScrollbar.prototype.removePsClasses=function(){this.element.className=this.element.className.split(" ").filter(function(name){return!name.match(/^ps([-_].+|)$/)}).join(" ")};/* eslint-env browser */class VPerfectScroll extends HTMLElement{connectedCallback(){this.scroll=new PerfectScrollbar(this.parentElement)}disconnectedCallback(){this.scroll.destroy()}}class VSnackbar extends HTMLElement{constructor(...args){super(...args),_defineProperty$2(this,"onShowSnackbarEvent",event=>{this._showSnackBar(event.detail.message,event.detail.actionText,event.detail.actionLink)})}connectedCallback(){setTimeout(()=>{window.addEventListener("vf-snackbar:show",this.onShowSnackbarEvent,!1),this._showInitialSnackbar()})}disconnectedCallback(){this._mdcSnackbar&&this._mdcSnackbar.destroy(),window.removeEventListener("vf-snackbar:show",this.onShowSnackbarEvent)}_showSnackBar(message,actionText,actionLink){const surface=div({class:"mdc-snackbar__surface"}).with([div({class:"mdc-snackbar__label"}).text(message),actionText?div({class:"mdc-snackbar__actions"}).with([a({class:"mdc-button mdc-snackbar__action",href:actionLink}).text(actionText)]):null]);this._mdcSnackbar&&this._mdcSnackbar.destroy(),this.innerHTML=surface.toDOM().outerHTML,this._mdcSnackbar=materialComponentsWeb.snackbar.MDCSnackbar.attachTo(this),this._mdcSnackbar.open()}_showInitialSnackbar(){let actionText;// let actionHandler;
const message=Array.prototype.filter.call(this.childNodes,child=>child.nodeType===Node.TEXT_NODE).map(child=>child.textContent.trim()).join(" "),link=this.querySelector("a");link&&window.location.href!==link.href&&(actionText=link.textContent),message&&this._showSnackBar(message,actionText,link?link.href:null)}}class VTurbolinks extends HTMLElement{constructor(...args){super(...args),_defineProperty$3(this,"onRequestEnd",event=>{400<=event.data.xhr.status&&Turbolinks__default["default"].controller.disable()})}connectedCallback(){document.addEventListener("turbolinks:request-end",this.onRequestEnd)}disconnectedCallback(){document.removeEventListener("turbolinks:request-end",this.onRequestEnd)}}/* eslint-env browser */window.addEventListener("DOMContentLoaded",()=>{window.customElements.define("vf-card-menu",VCardMenu),window.customElements.define("vf-page-menu-navigation",VPageMenuNavigation),window.customElements.define("vf-page-menu-toggle",VPageMenuToggle),window.customElements.define("vf-page-scroll-fix",VPageScrollFix),window.customElements.define("vf-page",VPage),window.customElements.define("vf-perfect-scroll",VPerfectScroll),window.customElements.define("vf-snackbar",VSnackbar),window.customElements.define("vf-turbolinks",VTurbolinks)})})(Turbolinks,mdc);
//# sourceMappingURL=viewflow-components.min.js.map
