(function(Turbolinks){'use strict';function _interopDefaultLegacy(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}function commonjsRequire(){throw new Error("Dynamic requires are not currently supported by @rollup/plugin-commonjs")}function _defineProperty(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}var Turbolinks__default=/*#__PURE__*/_interopDefaultLegacy(Turbolinks),smartcrop=function(fn,basedir,module){return module={path:basedir,exports:{},require:function(path,base){return commonjsRequire(path,base===void 0||null===base?module.path:base)}},fn(module,module.exports),module.exports}(function(module,exports){/**
	 * smartcrop.js
	 * A javascript library implementing content aware image cropping
	 *
	 * Copyright (C) 2018 Jonas Wagner
	 *
	 * Permission is hereby granted, free of charge, to any person obtaining
	 * a copy of this software and associated documentation files (the
	 * "Software"), to deal in the Software without restriction, including
	 * without limitation the rights to use, copy, modify, merge, publish,
	 * distribute, sublicense, and/or sell copies of the Software, and to
	 * permit persons to whom the Software is furnished to do so, subject to
	 * the following conditions:
	 *
	 * The above copyright notice and this permission notice shall be
	 * included in all copies or substantial portions of the Software.
	 *
	 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
	 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
	 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
	 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
	 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
	 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
	 */(function(){var _Mathmax=Math.max;function edgeDetect(i,o){for(var id=i.data,od=o.data,w=i.width,h=i.height,y=0;y<h;y++)for(var x=0;x<w;x++){var lightness,p=4*(y*w+x);lightness=0==x||x>=w-1||0===y||y>=h-1?sample(id,p):4*sample(id,p)-sample(id,p-4*w)-sample(id,p-4)-sample(id,p+4)-sample(id,p+4*w),od[p+1]=lightness}}function skinDetect(options,i,o){for(var id=i.data,od=o.data,w=i.width,h=i.height,y=0;y<h;y++)for(var x=0;x<w;x++){var p=4*(y*w+x),lightness=cie(id[p],id[p+1],id[p+2])/255,skin=skinColor(options,id[p],id[p+1],id[p+2]),isSkinColor=skin>options.skinThreshold,isSkinBrightness=lightness>=options.skinBrightnessMin&&lightness<=options.skinBrightnessMax;od[p]=isSkinColor&&isSkinBrightness?(skin-options.skinThreshold)*(255/(1-options.skinThreshold)):0}}function saturationDetect(options,i,o){for(var id=i.data,od=o.data,w=i.width,h=i.height,y=0;y<h;y++)for(var x=0;x<w;x++){var p=4*(y*w+x),lightness=cie(id[p],id[p+1],id[p+2])/255,sat=saturation(id[p],id[p+1],id[p+2]),acceptableSaturation=sat>options.saturationThreshold,acceptableLightness=lightness>=options.saturationBrightnessMin&&lightness<=options.saturationBrightnessMax;od[p+2]=acceptableLightness&&acceptableSaturation?(sat-options.saturationThreshold)*(255/(1-options.saturationThreshold)):0}}function applyBoosts(options,output){if(options.boost){for(var od=output.data,i=0;i<output.width;i+=4)od[i+3]=0;for(i=0;i<options.boost.length;i++)applyBoost(options.boost[i],options,output)}}function applyBoost(boost,options,output){for(var od=output.data,w=output.width,x0=~~boost.x,x1=~~(boost.x+boost.width),y0=~~boost.y,y1=~~(boost.y+boost.height),weight=255*boost.weight,y=y0;y<y1;y++)for(var i,x=x0;x<x1;x++)i=4*(y*w+x),od[i+3]+=weight}function generateCrops(options,width,height){for(var results=[],minDimension=min(width,height),cropWidth=options.cropWidth||minDimension,cropHeight=options.cropHeight||minDimension,scale=options.maxScale;scale>=options.minScale;scale-=options.scaleStep)for(var y=0;y+cropHeight*scale<=height;y+=options.step)for(var x=0;x+cropWidth*scale<=width;x+=options.step)results.push({x:x,y:y,width:cropWidth*scale,height:cropHeight*scale});return results}function score(options,output,crop){for(var result={detail:0,saturation:0,skin:0,boost:0,total:0},od=output.data,downSample=options.scoreDownSample,invDownSample=1/downSample,outputHeightDownSample=output.height*downSample,outputWidthDownSample=output.width*downSample,outputWidth=output.width,y=0;y<outputHeightDownSample;y+=downSample)for(var x=0;x<outputWidthDownSample;x+=downSample){var p=4*(~~(y*invDownSample)*outputWidth+~~(x*invDownSample)),i=importance(options,crop,x,y),detail=od[p+1]/255;result.skin+=od[p]/255*(detail+options.skinBias)*i,result.detail+=detail*i,result.saturation+=od[p+2]/255*(detail+options.saturationBias)*i,result.boost+=od[p+3]/255*i}return result.total=(result.detail*options.detailWeight+result.skin*options.skinWeight+result.saturation*options.saturationWeight+result.boost*options.boostWeight)/(crop.width*crop.height),result}function importance(options,crop,x,y){if(crop.x>x||x>=crop.x+crop.width||crop.y>y||y>=crop.y+crop.height)return options.outsideImportance;x=(x-crop.x)/crop.width,y=(y-crop.y)/crop.height;var px=2*abs(.5-x),py=2*abs(.5-y),dx=_Mathmax(px-1+options.edgeRadius,0),dy=_Mathmax(py-1+options.edgeRadius,0),d=(dx*dx+dy*dy)*options.edgeWeight,s=1.41-sqrt(px*px+py*py);return options.ruleOfThirds&&(s+=1.2*_Mathmax(0,s+d+.5)*(thirds(px)+thirds(py))),s+d}function skinColor(options,r,g,b){var mag=sqrt(r*r+g*g+b*b),rd=r/mag-options.skinColor[0],gd=g/mag-options.skinColor[1],bd=b/mag-options.skinColor[2],d=sqrt(rd*rd+gd*gd+bd*bd);return 1-d}function analyse(options,input){var result={},output=new ImgData(input.width,input.height);edgeDetect(input,output),skinDetect(options,input,output),saturationDetect(options,input,output),applyBoosts(options,output);for(var crop,scoreOutput=downSample(output,options.scoreDownSample),topScore=-Infinity,topCrop=null,crops=generateCrops(options,input.width,input.height),i=0,iLen=crops.length;i<iLen;i++)crop=crops[i],crop.score=score(options,scoreOutput,crop),crop.score.total>topScore&&(topCrop=crop,topScore=crop.score.total);return result.topCrop=topCrop,options.debug&&topCrop&&(result.crops=crops,result.debugOutput=output,result.debugOptions=options,result.debugTopCrop=extend({},result.topCrop)),result}function ImgData(width,height,data){this.width=width,this.height=height,this.data=data?new Uint8ClampedArray(data):new Uint8ClampedArray(4*(width*height))}function downSample(input,factor){for(var _Mathfloor=Math.floor,idata=input.data,iwidth=input.width,width=_Mathfloor(input.width/factor),height=_Mathfloor(input.height/factor),output=new ImgData(width,height),data=output.data,ifactor2=1/(factor*factor),y=0;y<height;y++)for(var x=0;x<width;x++){for(var i=4*(y*width+x),r=0,g=0,b=0,a=0,mr=0,mg=0,v=0;v<factor;v++)for(var j,u=0;u<factor;u++)j=4*((y*factor+v)*iwidth+(x*factor+u)),r+=idata[j],g+=idata[j+1],b+=idata[j+2],a+=idata[j+3],mr=_Mathmax(mr,idata[j]),mg=_Mathmax(mg,idata[j+1]);// this is some funky magic to preserve detail a bit more for
// skin (r) and detail (g). Saturation (b) does not get this boost.
data[i]=.5*(r*ifactor2)+.5*mr,data[i+1]=.7*(g*ifactor2)+.3*mg,data[i+2]=b*ifactor2,data[i+3]=a*ifactor2}return output}function defaultCanvasFactory(w,h){var c=document.createElement("canvas");return c.width=w,c.height=h,c}function canvasImageOperations(canvasFactory){return{// Takes imageInput as argument
// returns an object which has at least
// {width: n, height: n}
open:function(image){// Work around images scaled in css by drawing them onto a canvas
var w=image.naturalWidth||image.width,h=image.naturalHeight||image.height,c=canvasFactory(w,h),ctx=c.getContext("2d");return image.naturalWidth&&(image.naturalWidth!=image.width||image.naturalHeight!=image.height)?(c.width=image.naturalWidth,c.height=image.naturalHeight):(c.width=image.width,c.height=image.height),ctx.drawImage(image,0,0),smartcrop.Promise.resolve(c)},// Takes an image (as returned by open), and changes it's size by resampling
resample:function(image,width,height){return Promise.resolve(image).then(function(image){var c=canvasFactory(~~width,~~height),ctx=c.getContext("2d");return ctx.drawImage(image,0,0,image.width,image.height,0,0,c.width,c.height),smartcrop.Promise.resolve(c)})},getData:function(image){return Promise.resolve(image).then(function(c){var ctx=c.getContext("2d"),id=ctx.getImageData(0,0,c.width,c.height);return new ImgData(c.width,c.height,id.data)})}}}function extend(o){for(var arg,i=1,iLen=arguments.length;i<iLen;i++)if(arg=arguments[i],arg)for(var name in arg)o[name]=arg[name];return o}// Gets value in the range of [0, 1] where 0 is the center of the pictures
// returns weight of rule of thirds [0, 1]
function thirds(x){return x=16*(.5*((x-1/3+1)%2)-.5),_Mathmax(1-x*x,0)}function cie(r,g,b){return .5126*b+.7152*g+.0722*r}function sample(id,p){return cie(id[p],id[p+1],id[p+2])}function saturation(r,g,b){var maximum=max(r/255,g/255,b/255),minumum=min(r/255,g/255,b/255);if(maximum===minumum)return 0;var d=maximum-minumum;return .5<(maximum+minumum)/2?d/(2-maximum-minumum):d/(maximum+minumum)}// Common js
var smartcrop={};// Promise implementation to use
smartcrop.Promise="undefined"==typeof Promise?function(){throw new Error("No native promises and smartcrop.Promise not set.")}:Promise,smartcrop.DEFAULTS={width:0,height:0,aspect:0,cropWidth:0,cropHeight:0,detailWeight:.2,skinColor:[.78,.57,.44],skinBias:.01,skinBrightnessMin:.2,skinBrightnessMax:1,skinThreshold:.8,skinWeight:1.8,saturationBrightnessMin:.05,saturationBrightnessMax:.9,saturationThreshold:.4,saturationBias:.2,saturationWeight:.1,// Step * minscale rounded down to the next power of two should be good
scoreDownSample:8,step:8,scaleStep:.1,minScale:1,maxScale:1,edgeRadius:.4,edgeWeight:-20,outsideImportance:-.5,boostWeight:100,ruleOfThirds:!0,prescale:!0,imageOperations:null,canvasFactory:defaultCanvasFactory,// Factory: defaultFactories,
debug:!1},smartcrop.crop=function(inputImage,options_,callback){var options=extend({},smartcrop.DEFAULTS,options_);options.aspect&&(options.width=options.aspect,options.height=1),null===options.imageOperations&&(options.imageOperations=canvasImageOperations(options.canvasFactory));var iop=options.imageOperations,scale=1,prescale=1;// open the image
return iop.open(inputImage,options.input).then(function(image){return options.width&&options.height&&(scale=min(image.width/options.width,image.height/options.height),options.cropWidth=~~(options.width*scale),options.cropHeight=~~(options.height*scale),options.minScale=min(options.maxScale,max(1/scale,options.minScale)),!1!==options.prescale&&(prescale=min(max(256/image.width,256/image.height),1),1>prescale?(image=iop.resample(image,image.width*prescale,image.height*prescale),options.cropWidth=~~(options.cropWidth*prescale),options.cropHeight=~~(options.cropHeight*prescale),options.boost&&(options.boost=options.boost.map(function(boost){return{x:~~(boost.x*prescale),y:~~(boost.y*prescale),width:~~(boost.width*prescale),height:~~(boost.height*prescale),weight:boost.weight}}))):prescale=1)),image}).then(function(image){return iop.getData(image).then(function(data){for(var crop,result=analyse(options,data),crops=result.crops||[result.topCrop],i=0,iLen=crops.length;i<iLen;i++)crop=crops[i],crop.x=~~(crop.x/prescale),crop.y=~~(crop.y/prescale),crop.width=~~(crop.width/prescale),crop.height=~~(crop.height/prescale);return callback&&callback(result),result})})},smartcrop.isAvailable=function(options){if(!smartcrop.Promise)return!1;var canvasFactory=options?options.canvasFactory:defaultCanvasFactory;if(canvasFactory===defaultCanvasFactory){var c=document.createElement("canvas");if(!c.getContext("2d"))return!1}return!0},smartcrop.importance=importance,smartcrop.ImgData=ImgData,smartcrop._downSample=downSample,smartcrop._canvasImageOperations=canvasImageOperations;// Aliases and helpers
var min=Math.min,max=_Mathmax,abs=Math.abs,sqrt=Math.sqrt;exports.smartcrop=smartcrop,module.exports=smartcrop})()});class VPageProfileAvatar extends HTMLElement{constructor(...args){super(...args),_defineProperty(this,"onChangeAvatarClick",event=>{const files=event.target.files;(0===files.length||-1===files[0].type.indexOf("image"))&&this.showError("No images selected");const reader=new FileReader;reader.onload=readerEvent=>{const image=new Image;image.onload=()=>{this._crop(image).then(cropCanvas=>{this._upload(cropCanvas)}).catch(error=>{this._showError(error.message||"Image cropping error")})},image.src=readerEvent.target.result},reader.readAsDataURL(files[0])})}connectedCallback(){setTimeout(()=>{this._formEl=this.querySelector("form"),this._uploadButtonEl=this.querySelector(".vf-page-profile__avatar-change"),this._uploadButtonEl.addEventListener("change",this.onChangeAvatarClick)})}disconnectedCallback(){this._uploadButtonEl.removeEventListener("change",this.onChangeAvatarClick)}_crop(image){return smartcrop.crop(image,{minScale:1,width:256,height:256}).then(result=>{const cropCanvas=document.createElement("canvas");return cropCanvas.width=256,cropCanvas.height=256,cropCanvas.getContext("2d").drawImage(image,result.topCrop.x,result.topCrop.y,result.topCrop.width,result.topCrop.height,0,0,256,256),cropCanvas})}_upload(canvas){this._uploadButtonEl.classList.toggle("vf-page-profile__avatar-change--disabled");const xhr=new XMLHttpRequest;xhr.open("POST",window.location.search,!0),xhr.setRequestHeader("Turbolinks-Referrer",window.location),xhr.onload=()=>{const Snapshot=Turbolinks__default["default"].controller.view.getSnapshot().constructor,Location=Turbolinks__default["default"].controller.view.getSnapshot().getRootLocation().constructor;let location=xhr.getResponseHeader("turbolinks-location");const snapshot=Snapshot.wrap(xhr.response);location||(location=window.location.href),Turbolinks__default["default"].controller.adapter.hideProgressBar(),Turbolinks__default["default"].controller.cache.put(new Location(location),snapshot),Turbolinks__default["default"].visit(location,{action:"restore"}),Turbolinks__default["default"].clearCache(),299<xhr.status&&Turbolinks__default["default"].controller.disable()},xhr.onerror=()=>{Turbolinks__default["default"].controller.adapter.hideProgressBar(),this.uploadButton_.classList.toggle("vf-profile-avatar__change--disabled"),this.showError("Request error")},Turbolinks__default["default"].controller.adapter.showProgressBarAfterDelay(),canvas.toBlob(blob=>{const formData=new FormData(this._formEl);formData.append("avatar",blob,"avatar.jpg"),xhr.send(formData)})}_showError(message,timeout=2e3){const snackbarEvent=new CustomEvent("vf-snackbar:show",{detail:{message:message,timeout:timeout}});window.dispatchEvent(snackbarEvent)}}/* eslint-env browser */window.customElements.define("vf-page-profile-avatar",VPageProfileAvatar)})(Turbolinks);
//# sourceMappingURL=viewflow-page-profile.min.js.map
